function replace() {
	c=c.replace(/\\begin{document}/g,"")
		.replace(/\\end{document}/g,"");

//TeXのdocument class
var dc=c.indexOf("\\documentclass{");
if (dc!=-1) {
	c=c.substring(Number("0"),dc)
		+c.substring(dc+c.substring(dc,c.length).indexOf("}")+1,c.length);
}


//	TeXcommand and HTML5 markup

//  \section{ } -> <section><h1> </h1> </section>
var sectionI=c.indexOf(replaceCommands["section"][0]);
while (sectionI!=-1) {
	var endSectionI=sectionI+c.substring(sectionI,c.length).indexOf(replaceCommands["section"][1]);
	var nextSectionI=c.substring(endSectionI,c.length).indexOf(replaceCommands["section"][0]);
	if (nextSectionI!=-1) {		//他に\section{ }がある場合
		nextSectionI+=endSectionI;
		c=c.substring(Number("0"),sectionI)
			+replaceCommands["section"][2]+c.substring(sectionI+replaceCommands["section"][0].length,endSectionI)+replaceCommands["section"][3]
			+c.substring(endSectionI+replaceCommands["section"][1].length,nextSectionI)
			+replaceCommands["section"][4]+c.substring(nextSectionI,c.length);
	} else {		//最後の\section{ }のとき
		c=c.substring(Number("0"),sectionI)
			+replaceCommands["section"][2]+c.substring(sectionI+replaceCommands["section"][0].length,endSectionI)+replaceCommands["section"][3]
			+c.substring(endSectionI+replaceCommands["section"][1].length,c.length)+replaceCommands["section"][4];
	}
	sectionI=c.indexOf(replaceCommands["section"][0]);
}

//  \subsection{ } -> <section><h2> </h2> </section>
var subsectionI=c.indexOf(replaceCommands["subsection"][0]);
while (subsectionI!=-1) {
	var endSubsectionI=subsectionI+c.substring(subsectionI,c.length).indexOf(replaceCommands["subsection"][1]);		//\subsectionの終了位置
	var nextSubsectionI=c.substring(endSubsectionI,c.length).indexOf(replaceCommands["subsection"][0]);		//次の\subsectionの開始位置
	var SectionTagStartI=c.substring(endSubsectionI,c.length).indexOf(replaceCommands["section"][2]);		//次の<section>の位置
	var SectionTagEndI=c.substring(endSubsectionI,c.length).indexOf(replaceCommands["section"][4]);		//次の</section>の位置
	var next;
	if (nextSubsectionI==-1&&SectionTagStartI==-1&&SectionTagEndI==-1) {
		next=-1;
	} else {
		if (nextSubsectionI==-1) nextSubsectionI+=10000000000000;
		if (SectionTagStartI==-1) SectionTagStartI+=10000000000000;
		if (SectionTagEndI==-1) SectionTagEndI+=10000000000000;
		next=Math.min(nextSubsectionI,SectionTagStartI,SectionTagEndI);
	}
	if (next!=-1) {		//以降に\section{ }もしくは\subsection{ }があるとき
		next+=endSubsectionI;
		c=c.substring(Number("0"),subsectionI)
			+replaceCommands["subsection"][2]+c.substring(subsectionI+replaceCommands["subsection"][0].length,endSubsectionI)+replaceCommands["subsection"][3]
			+c.substring(endSubsectionI+replaceCommands["subsection"][1].length,next)
			+replaceCommands["subsection"][4]+c.substring(next,c.length);
	} else {		//以降に\section{ }もしくは\subsection{ }がないとき
		c=c.substring(Number("0"),subsectionI)
			+replaceCommands["subsection"][2]+c.substring(subsectionI+replaceCommands["subsection"][0].length,endSubsectionI)+replaceCommands["subsection"][3]
			+c.substring(endSubsectionI+replaceCommands["subsection"][1].length,c.length)+replaceCommands["subsection"][4];
	}
	subsectionI=c.indexOf(replaceCommands["subsection"][0]);
}

//maketitle（タイトル、著者、日付）対応
var maketitleI=c.indexOf(replaceCommands["maketitle"][0]);
if (maketitleI!=-1) {
	var br="";
	for (b=0;b<3;b++) br+="<br />";
	c=br
		+c.substring(Number("0"),maketitleI)
		+"<br />"
		+c.substring(maketitleI+replaceCommands["maketitle"][0].length,c.length);

var titleI=c.indexOf(replaceCommands["title"][0]);
if (titleI!=-1) {
	var b=titleI+c.substring(titleI,c.length).indexOf(replaceCommands["title"][1]);
	c=c.substring(Number("0"),titleI)
		+replaceCommands["title"][2]
		+c.substring(titleI+"\\title{".length,b)
		+replaceCommands["title"][3]
		+c.substring(b+1,c.length);
}
var authorI=c.indexOf(replaceCommands["author"][0]);
if (authorI!=-1) {
	var b=authorI+c.substring(authorI,c.length).indexOf(replaceCommands["author"][1]);
	c=c.substring(Number("0"),authorI)
		+replaceCommands["author"][2]
		+c.substring(authorI+"\\author{".length,b)
		+replaceCommands["author"][3]
		+c.substring(b+1,c.length);
}
var dateI=c.indexOf(replaceCommands["date"][0]);
if (dateI!=-1) {
	var b=dateI+c.substring(dateI,c.length).indexOf(replaceCommands["date"][1]);
	c=c.substring(Number("0"),dateI)
		+replaceCommands["date"][2]
		+c.substring(dateI+"\\date{".length,b)
		+replaceCommands["date"][3]
		+c.substring(b+1,c.length);
}

} else { }			//「\maketitle」がないときの対応は省く


//abstract（文章の要約）
c=c.replace(/\\begin{abstract}/g,replaceCommands["beginabstract"][0])
	.replace(/\\end{abstract}/g,replaceCommands["endabstract"][0]);


//quotation（引用箇所）の対応
c=c.replace(/\\begin{quotation}/g,replaceCommands["beginquotation"][0])
	.replace(/\\end{quotation}/g,replaceCommands["endquotation"][0]);

//quote（引用箇所）の対応
c=c.replace(/\\begin{quote}/g,replaceCommands["beginquote"][0])
	.replace(/\\end{quote}/g,replaceCommands["endquote"][0]);


//verbatim（入力通りの出力）の対応
c=c.replace(/\\begin{verbatim}/g,replaceCommands["beginverbatim"][0])
	.replace(/\\end{verbatim}/g,replaceCommands["endverbatim"][0]);

//\begin{verbatim*}について、JavaScriptの正規表現で「*」が特殊文字なので、indexOfで見つける方法が推奨


//2行の改行への対応
c=c.replace(/\r\n\r\n/g,"\r\n<br />　\r\n");

//半角スペースの対応は不必要


//「\ 」の対応
c=c.replace(/\\ /g,"&nbsp;");


//改行の直後の半角スペースの対応
while (c.search(/\r\n\s/)!=-1) c=c.replace(/\r\n\s/g,"\r\n");


//アクセント対応
for (k=0;k<accent.length;k++) {
	var I=c.indexOf(accent[k][0]),p=I;
	while (I!=-1) {
		var eq=false;
			eq=InOrOutEquationEnvironment(c,p,p);
		if (!eq&&c.substring(p-"$\\mathrm{".length,p)!="$\\mathrm{"&&c.substring(p-"$\\mathrm{\\".length,p)!="$\\mathrm{\\") {
			var b0=p+c.substring(p,c.length).indexOf("{")+1,
				b1=p+c.substring(p,c.length).indexOf("}")+1;
			c=c.substring(Number("0"),p)
				+"$\\mathrm{"
					+accent[k][1]
					+c.substring(b0,b1)
				+"}$"
				+c.substring(b1,c.length);
			p+="$\\mathrm{}$".length;
		}
		p+=accent[k][1].length-accent[k][0].length;
		I=c.substring(p,c.length).indexOf(accent[k][0]);
		p+=I;
	}
}


//区切りコマンド対応
for (k=0;k<kugiri.length;k++) {
	var I=c.indexOf(kugiri[k]),p=I;
	while (I!=-1) {
		var eq=false;
			eq=InOrOutEquationEnvironment(c,p,p);
		if (!eq&&c.substring(p-"$\\mathrm{".length,p)!="$\\mathrm{"&&c.substring(p-"$\\mathrm{\\".length,p)!="$\\mathrm{\\") {
			c=c.substring(Number("0"),p)
				+"$\\mathrm{"+kugiri[k]+"}$"
				+c.substring(p+kugiri[k].length,c.length);
			p+="$\\mathrm{}$".length;
		}
		p+=kugiri[k].length;
		I=c.substring(p,c.length).indexOf(kugiri[k]);
		p+=I;
	}
}


//%（注釈、コメント文）の対応
var commentI=c.indexOf(replaceCommands["comment"][0]),p=commentI;
while (commentI!=-1) {
	var eq=false;
		eq=InOrOutEquationEnvironment(c,p,p);
	if (!eq&&c.substring(p-"$\\mathrm{\\".length,p)!="$\\mathrm{\\") {
		var b=c.substring(p,c.length).indexOf("\r\n");
		c=c.substring(Number("0"),p)
			+replaceCommands["comment"][1]
			+c.substring(p+1,p+b)
			+replaceCommands["comment"][2]
			+c.substring(p+b,c.length);
		var b=c.lastIndexOf(replaceCommands["comment"][2]);
		if (b!=-1) commentI=c.substring(b,c.length).indexOf(replaceCommands["comment"][0]);
		else commentI=-1;
		p=b+commentI;
	} else {
		var b=c.substring(p+1,c.length).lastIndexOf(replaceCommands["comment"][2]);
		if (b!=-1) commentI=c.substring(b,c.length).indexOf(replaceCommands["comment"][0]);
		else commentI=-1;
		p+=b+1+commentI;
	}
}





//左寄せ、中央揃え、右寄せの対応
c=c.replace(/\\begin{flushleft}/g,replaceCommands["beginflushleft"][0])
	.replace(/\\end{flushleft}/g,replaceCommands["endflushleft"][0])
	.replace(/\\begin{flushright}/g,replaceCommands["beginflushright"][0])
	.replace(/\\end{flushright}/g,replaceCommands["endflushright"][0])
	.replace(/\\begin{center}/g,replaceCommands["begincenter"][0])
	.replace(/\\end{center}/g,replaceCommands["endcenter"][0]);


	





}

var replaceCommands={
	"section":["\\section{","}","<section><h1>","</h1>","</section><!-- \section{}（章タイトル） -->"],
	"subsection":["\\subsection{","}","\t<section><h1>","</h1>","\t</section><!-- \subsection{}（節タイトル） -->"],
	"title":["\\title{","}","<div property='title' typeof='JobPosting' style='text-align:center;font-size:40px'><cite>","</cite></div><!-- \title{}（文書のタイトル） -->"],
	"author":["\\author{","}","<div property='author' typeof='Person' style='text-align:center;font-size:30px'>","</div><!-- \author{}（著者名） -->"],
	"date":["\\date{","}","<div property='dateCreated' typeof='Date' style='text-align:center;font-size:25px'>","</div><!-- \date{}（文書の作成日時） -->"],
	"maketitle":["\\maketitle"],
	"beginabstract":["<div style='text-align:center'><b>概要</b></div><div style='margin-left:50px;margin-right:50px'><!-- \begin{abstract}（文章の概要開始） -->　"],
	"endabstract":["</div><!-- \end{abstract}（文章の概要終了） -->"],
	"beginquotation":["<blockquote><!-- \begin{quotation}（引用箇所開始） -->"],
	"endquotation":["</blockquote><!-- \end{quotation}（引用箇所終了） -->"],
	"beginquote":["<q><!-- \begin{quote}（引用箇所開始） -->"],
	"endquote":["</q><!-- \end{quote}（引用箇所終了） -->"],
	"beginverbatim":["<br /><!-- \begin{verbatim}（入力通りの出力開始） -->"],
	"endverbatim":["<br /><!-- \end{verbatim}（入力通りの出力終了） -->"],
	"comment":["%","<!-- "," --><!-- （注釈、コメント文） -->"],
	"beginflushleft":["<div style='text-align:left'><!-- \begin{flushleft}（左寄せ開始） -->　"],
	"endflushleft":["</div><!-- \end{flushleft}（左寄せ終了） -->"],
	"beginflushright":["<div style='text-align:right'><!-- \begin{flushright}（右寄せ開始） -->　"],
	"endflushright":["</div><!-- \end{flushright}（右寄せ終了） -->"],
	"begincenter":["<div style='text-align:center'><!-- \begin{center}（中央揃え開始） -->　"],
	"endcenter":["</div><!-- \end{center}（中央揃え終了） -->"],
	"itemize":["\\begin{itemize}","\\end{itemize}","<ul><!-- itemize（箇条書き） -->　"],
};

var kugiri=[
	"\\LaTeX",
	"\\TeX",
	"\\#",
	"\\$",
	"\\%",
	"\\&",
	"\\_",
	"\\{",
	"\\}",
	"\\S",
	"?`",
	"!`",
	"``",
];

var accent=[
	["\\`{","\\grave{"],
	["\\'{","\\acute{"],
	["\\^{","\\hat{"],
	['\\"{',"\\ddot{"],
	["\\~{","\\tilde{"],
	["\\={","\\bar{"],
	["\\.{","\\dot{"],
	["\\u{","\\breve{"],
	["\\v{","\\check{"],
	["\\H{","\\ddot{"],
	["\\t{","\\widehat{"],
	["\\c{","{"],
	["\\d{","{"],
	["\\b{","\\underline{"],
	["\\r{","\\mathring{"],
//	["\\k{","\\{"],
];

var fontInTeX=[
	"\\textgt{{",
	"\\textrm{",
	"\\textbf{",
	"\\textit{",
	"\\textsl{",
	"\\textsf{",
	"\\texttt{",
	"\\textsc{",
	"\\emph{",
];

var fontsizeInTeX=[
	"{\\tiny",
	"{\\scriptsize",
	"{\\footnotesize",
	"{\\small",
	"{\\normalsize",
	"{\\large",
	"{\\Large",
	"{\\LARGE",
	"{\\huge",
	"{\\Huge",
];