function commandType(t) {		//jQuery keypad
	var type=t;
	if (t.options[t.options.selectedIndex].value=="num")
		commandTypeAlphabet();
	else if (t.options[t.options.selectedIndex].value=="greek")
		commandTypeGreekCharacter();
	else if (t.options[t.options.selectedIndex].value=="font")
		commandTypeFont();
	else if (t.options[t.options.selectedIndex].value=="arith"||type=="arith")
		commandTypeArith();
	else if (t.options[t.options.selectedIndex].value=="function")
		commandTypeFunction();
	else if (t.options[t.options.selectedIndex].value=="relationaloperators")
		commandTypeRelational();
	else if (t.options[t.options.selectedIndex].value=="relationaloperatorsNot")
		commandTypeRelationalNot();
	else if (t.options[t.options.selectedIndex].value=="differentiationintegration")
		commandTypeDifferentiationIntegration();
	else if (t.options[t.options.selectedIndex].value=="matrices")
		commandTypeMatrices();
	else if (t.options[t.options.selectedIndex].value=="arrows")
		commandTypeArrows();
	else if (t.options[t.options.selectedIndex].value=="delimiters")
		commandTypeDelimiters();
	else if (t.options[t.options.selectedIndex].value=="positioning")
		commandTypePositioning();
	else if (t.options[t.options.selectedIndex].value=="othersymbols1")
		commandTypeOthersymbols1();
	else if (t.options[t.options.selectedIndex].value=="othersymbols10")
		commandTypeOthersymbols10();
	else if (t.options[t.options.selectedIndex].value=="othercommands")
		commandTypeOthercommands();
	else if (t.options[t.options.selectedIndex].value=="Physics")
		commandTypePhysics();
	else if (t.options[t.options.selectedIndex].value=="Statistics")
		commandTypeStatistics();
	else $("#keypad").keypad("destroy");
	MathJax.Hub.Queue(["Typeset",MathJax.Hub,document.getElementById("keypad")]);	//発言内容のプレビュー欄を数式レンダリング
}
function initialKeypad() {		//ページの読み込み時に表示しておくkeypad
	commandTypeArith();
	MathJax.Hub.Queue(["Typeset",MathJax.Hub,document.getElementById("keypad")]);	//発言内容のプレビュー欄を数式レンダリング
}
function commandTypeAlphabet() {		//jQuery keypad アルファベット
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"アルファベット",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smalllettera&quot;][0]()">$a$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterb&quot;][0]()">$b$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterc&quot;][0]()">$c$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterd&quot;][0]()">$d$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smalllettere&quot;][0]()">$e$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterf&quot;][0]()">$f$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterg&quot;][0]()">$g$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterh&quot;][0]()">$h$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletteri&quot;][0]()">$i$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterj&quot;][0]()">$j$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterk&quot;][0]()">$k$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterl&quot;][0]()">$l$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterm&quot;][0]()" style="width:35px">$m$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;smalllettern&quot;][0]()">$n$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smalllettero&quot;][0]()">$o$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterp&quot;][0]()">$p$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterq&quot;][0]()">$q$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterr&quot;][0]()">$r$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletters&quot;][0]()">$s$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smalllettert&quot;][0]()">$t$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletteru&quot;][0]()">$u$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterv&quot;][0]()">$v$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterw&quot;][0]()">$w$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterx&quot;][0]()">$x$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smalllettery&quot;][0]()">$y$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterz&quot;][0]()">$z$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;capitalletterA&quot;][0]()" style="width:35px">$A$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterB&quot;][0]()" style="width:40px">$B$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterC&quot;][0]()" style="width:40px">$C$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterD&quot;][0]()" style="width:40px">$D$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterE&quot;][0]()" style="width:40px">$E$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterF&quot;][0]()" style="width:40px">$F$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterG&quot;][0]()" style="width:40px">$G$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterH&quot;][0]()" style="width:40px">$H$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterI&quot;][0]()" style="width:40px">$I$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterJ&quot;][0]()" style="width:40px">$J$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterK&quot;][0]()" style="width:40px">$K$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterL&quot;][0]()" style="width:40px">$L$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterM&quot;][0]()" style="width:40px">$M$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;capitalletterN&quot;][0]()" style="width:40px">$N$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterO&quot;][0]()" style="width:40px">$O$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterP&quot;][0]()" style="width:40px">$P$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterQ&quot;][0]()" style="width:40px">$Q$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterR&quot;][0]()" style="width:40px">$R$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterS&quot;][0]()" style="width:40px">$S$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterT&quot;][0]()" style="width:40px">$T$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterU&quot;][0]()" style="width:40px">$U$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterV&quot;][0]()" style="width:40px">$V$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterW&quot;][0]()" style="width:40px">$W$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterX&quot;][0]()" style="width:40px">$X$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterY&quot;][0]()" style="width:40px">$Y$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;capitalletterZ&quot;][0]()" style="width:40px">$Z$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;hbar&quot;][0]()">$\\hbar$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;hslash&quot;][0]()">$\\hslash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;imath&quot;][0]()">$\\imath$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;jmath&quot;][0]()">$\\jmath$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Bbbk&quot;][0]()">$\\Bbbk$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ell&quot;][0]()">$\\ell$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;wp&quot;][0]()">$\\wp$</button>').appendTo(div);
		}
	});
}
function commandTypeGreekCharacter() {		//jQuery keypad ギリシャ文字
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"ギリシャ文字",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;alpha&quot;][0]()">$\\alpha$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;beta&quot;][0]()">$\\beta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gamma&quot;][0]()">$\\gamma$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;delta&quot;][0]()">$\\delta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;epsilon&quot;][0]()">$\\epsilon$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;zeta&quot;][0]()">$\\zeta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;eta&quot;][0]()">$\\eta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;theta&quot;][0]()">$\\theta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;iota&quot;][0]()">$\\iota$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;kappa&quot;][0]()">$\\kappa$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lambda&quot;][0]()">$\\lambda$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mu&quot;][0]()">$\\mu$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;nu&quot;][0]()">$\\nu$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;xi&quot;][0]()">$\\xi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;omicron&quot;][0]()">$\\omicron$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;pi&quot;][0]()">$\\pi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rho&quot;][0]()">$\\rho$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sigma&quot;][0]()">$\\sigma$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;tau&quot;][0]()">$\\tau$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;upsilon&quot;][0]()">$\\upsilon$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;phi&quot;][0]()">$\\phi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;chi&quot;][0]()">$\\chi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;psi&quot;][0]()">$\\psi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;omega&quot;][0]()">$\\omega$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;Gamma&quot;][0]()">$\\Gamma$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Delta&quot;][0]()">$\\Delta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Theta&quot;][0]()">$\\Theta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Lambda&quot;][0]()">$\\Lambda$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Xi&quot;][0]()">$\\Xi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Pi&quot;][0]()">$\\Pi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Sigma&quot;][0]()">$\\Sigma$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Upsilon&quot;][0]()">$\\Upsilon$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Phi&quot;][0]()">$\\Phi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Psi&quot;][0]()">$\\Psi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Omega&quot;][0]()">$\\Omega$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;varGamma&quot;][0]()">$\\varGamma$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varDelta&quot;][0]()">$\\varDelta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varTheta&quot;][0]()">$\\varTheta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varLambda&quot;][0]()">$\\varLambda$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varXi&quot;][0]()">$\\varXi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varPi&quot;][0]()">$\\varPi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varSigma&quot;][0]()">$\\varSigma$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varUpsilon&quot;][0]()">$\\varUpsilon$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varPhi&quot;][0]()">$\\varPhi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varPsi&quot;][0]()">$\\varPsi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varOmega&quot;][0]()">$\\varOmega$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;varepsilon&quot;][0]()">$\\varepsilon$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;backepsilon&quot;][0]()">$\\backepsilon$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vartheta&quot;][0]()">$\\vartheta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varpi&quot;][0]()">$\\varpi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varrho&quot;][0]()">$\\varrho$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varsigma&quot;][0]()">$\\varsigma$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varphi&quot;][0]()">$\\varphi$</button>').appendTo(div);
		} 
	});
}
function commandTypeFont() {		//jQuery keypad 文字・フォント・強調
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"文字・フォント・強調",
		beforeShow:function(div) {
			$('<input type="text" id="textf" size="10" /><select id="f00"><option>斜体</option><option>斜体太字</option><option>黒板太字</option><option>立体活字記号</option><option>立体活字文字</option><option>立体活字の関数名</option><option>立体太字記号</option><option>立体太字文字</option><option>フラクトゥール記号</option><option>フラクトゥール文字</option></select>').appendTo(div);
			$('<button onClick="font(&quot;&quot;,&quot;&quot;)">挿入</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;overline&quot;][0]()" style="width:35px">$\\overline{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;widetilde&quot;][0]()" style="width:35px">$\\widetilde{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;overline&quot;][0]()" style="width:35px">$\\overline{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;widehat&quot;][0]()" style="width:35px">$\\widehat{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;hat&quot;][0]()" style="width:35px">$\\hat{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;acute&quot;][0]()" style="width:35px">$\\acute{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;grave&quot;][0]()" style="width:35px">$\\grave{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;breve&quot;][0]()" style="width:35px">$\\breve{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;check&quot;][0]()" style="width:35px">$\\check{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;tilde&quot;][0]()" style="width:35px">$\\tilde{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bar&quot;][0]()" style="width:35px">$\\bar{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cancel&quot;][0]()" style="width:35px">$\\cancel{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bcancel&quot;][0]()" style="width:35px">$\\bcancel{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;xcancel&quot;][0]()" style="width:35px">$\\xcancel{A}$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;vec&quot;][0]()" style="width:35px">$\\vec{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mathring&quot;][0]()" style="width:35px">$\\mathring{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dot&quot;][0]()" style="width:35px">$\\dot{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ddot&quot;][0]()" style="width:35px">$\\ddot{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dddot&quot;][0]()" style="width:35px">$\\dddot{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ddddot&quot;][0]()" style="width:35px">$\\ddddot{A}$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;rlap&quot;][0]()" style="width:50px">$\\rlap{L}{y}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;negthickspace&quot;][0]()" style="width:35px">$L\\negthickspace y$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;llap&quot;][0]()" style="width:35px">${L}\\llap{y}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;boxed&quot;][0]()" style="width:35px">$\\boxed{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;fbox&quot;][0]()" style="width:35px">$\\fbox{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;pmod&quot;][0]()" style="width:100px">$\\pmod{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;pod&quot;][0]()" style="width:50px">$\\pod{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ref&quot;][0]()" style="width:35px">$\\ref{A}$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;overleftrightarrow&quot;][0]()" style="width:35px">$\\overleftrightarrow{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;overrightarrow&quot;][0]()" style="width:35px">$\\overrightarrow{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;overleftarrow&quot;][0]()" style="width:35px">$\\overleftarrow{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;overbrace&quot;][0]()" style="width:35px">$\\overbrace{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;underline&quot;][0]()" style="width:35px">$\\underline{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;underleftrightarrow&quot;][0]()" style="width:35px">$\\underleftrightarrow{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;underrightarrow&quot;][0]()" style="width:35px">$\\underrightarrow{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;underleftarrow&quot;][0]()" style="width:35px">$\\underleftarrow{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;underbrace&quot;][0]()" style="width:35px">$\\underbrace{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;xrightarrow&quot;][0]()" style="width:35px">$\\xrightarrow{A}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;xleftarrow&quot;][0]()" style="width:35px">$\\xleftarrow{A}$</button>').appendTo(div);
		}
	});
}
function commandTypeArith() {		//jQuery keypad 算術及び代数
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"算術及び代数",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n0&quot;][0]()">$0$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n1&quot;][0]()">$1$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n2&quot;][0]()">$2$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n3&quot;][0]()">$3$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n4&quot;][0]()">$4$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n5&quot;][0]()">$5$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n6&quot;][0]()">$6$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n7&quot;][0]()">$7$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n8&quot;][0]()">$8$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;n9&quot;][0]()">$9$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ldotp&quot;][0]()">$\\ldotp$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="ampersandInEquation()">$=$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;addition&quot;][0]()">$+$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;subtraction&quot;][0]()">$-$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;times&quot;][0]()">$\\times$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;div&quot;][0]()">$\\div$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;pm&quot;][0]()">$\\pm$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mp&quot;][0]()">$\\mp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ast&quot;][0]()">$\\ast$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cdotp&quot;][0]()">$\\cdotp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;slash&quot;][0]()">$/$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;superscript&quot;][0]()">$x^{\\Large y}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;subscript&quot;][0]()">$x_{\\Large y}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;frac&quot;][0]()">$\\frac{\\Large x}{\\Large y}$</button>').appendTo(div);
//			$('<button class="keypad-key" onClick="TeXcommand[&quot;tfrac&quot;][0]()">$\\tfrac{a}{b}$</button>').appendTo(div);
//			$('<button class="keypad-key" onClick="TeXcommand[&quot;cfrac&quot;][0]()">$\\cfrac{a}{b}$</button>').appendTo(div);
//			$('<button class="keypad-key" onClick="TeXcommand[&quot;dfrac&quot;][0]()">$\\dfrac{a}{b}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sqrt&quot;][0]()" style="width:35px">$\\sqrt{x}$</button>').appendTo(div);
//			$('<button class="keypad-key" onClick="TeXcommand[&quot;surd&quot;][0]()">$\\surd$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nthsqrt&quot;][0]()" style="width:35px">$\\sqrt[\\Large x]{y}$</button>').appendTo(div);
//			$('<button class="keypad-key" onClick="TeXcommand[&quot;root&quot;][0]()" style="width:35px">$\\root n\\of a$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;complexconjugate&quot;][0]()">$x^{\\Large *}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;summation&quot;][0]()">$\\sum_{}^{}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;product&quot;][0]()">$\\prod_{}^{}$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;ne&quot;][0]()">$\\ne$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;fallingdotseq&quot;][0]()">$\\fallingdotseq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;approx&quot;][0]()">$\\approx$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;greaterthan&quot;][0]()">$>$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lessthan&quot;][0]()">$<$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;equiv&quot;][0]()">$\\equiv$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;therefore&quot;][0]()">$\\therefore$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;because&quot;][0]()">$\\because$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;factorial&quot;][0]()">$!$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;infty&quot;][0]()">$\\infty$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;colon&quot;][0]()">$\\colon$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;backprime&quot;][0]()">$\\backprime$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;prime&quot;][0]()">$\\prime$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;comma&quot;][0]()">$,$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;propto&quot;][0]()">$\\propto$</button>').appendTo(div);
//			$('<button class="keypad-key" onClick="TeXcommand[&quot;varpropto&quot;][0]()">$\\varpropto$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;percent&quot;][0]()">$\\%$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;neg&quot;][0]()">$\\neg$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;exists&quot;][0]()">$\\exists$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nexists&quot;][0]()">$\\nexists$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;forall&quot;][0]()">$\\forall$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;leftrightparentheses&quot;][0]()">$\\left(\\ \\right)$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftrightbraces&quot;][0]()">$\\left\\{\\ \\right\\}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftrightsquarebrackets&quot;][0]()">$\\left[\\ \\right]$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftrightsingleverticalbar&quot;][0]()">$\\left|\\ \\right|$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftrightdoubleverticalbar&quot;][0]()" style="width:40px">$\\left\\|\\ \\right\\|$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;langlerangle&quot;][0]()">$\\langle\\ \\rangle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lceilrceil&quot;][0]()">$\\lceil\\ \\rceil$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lfloorrfloor&quot;][0]()">$\\lfloor\\ \\rfloor$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lgrouprgroup&quot;][0]()">$\\lgroup\\ \\rgroup$</button>').appendTo(div);

//			$('<button class="keypad-key" onClick="TeXcommand[&quot;tbinom&quot;][0]()" style="width:50px">$\\tbinom{\\Large x}{\\Large y}$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;binom&quot;][0]()" style="width:50px">$\\binom{\\Large x}{\\Large y}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;brace&quot;][0]()" style="width:50px">${\\Large x\\brace \\Large y}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;brack&quot;][0]()" style="width:35px">${\\Large x\\brack \\Large y}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;overset&quot;][0]()" style="width:35px">$\\overset{\\Large x}{\\Large y}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;underset&quot;][0]()" style="width:35px">$\\underset{\\Large x}{\\Large y}$</button>').appendTo(div);
		}
	});
}
function commandTypeFunction() {		//jQuery keypad 関数及び演算子
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"関数及び演算子",
		beforeShow:function(div) {	
			$('<button class="keypad-key" onClick="TeXcommand[&quot;logbase&quot;][0]()" style="width:60px">$\\log_{a}x$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;log&quot;][0]()" style="width:40px">$\\log$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lg&quot;][0]()">$\\lg$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ln&quot;][0]()">$\\ln$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;Re&quot;]);moveright()" style="width:40px">$\\operatorname{Re}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;Im&quot;]);moveright()" style="width:40px">$\\operatorname{Im}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Re&quot;][0]()">$\\Re$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Im&quot;][0]()">$\\Im$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;arg&quot;][0]()" style="width:40px">$\\arg$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smalllettere&quot;][0]();TeXcommand[&quot;superscript&quot;][0]()">$e^{x}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;exp&quot;][0]()" style="width:40px">$\\exp$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;sin&quot;][0]()" style="width:40px">$\\sin$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cos&quot;][0]()" style="width:40px">$\\cos$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;tan&quot;][0]()" style="width:40px">$\\tan$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;cosec&quot;]);moveright()" style="width:50px">$\\operatorname{cosec}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;csc&quot;][0]()" style="width:40px">$\\csc$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sec&quot;][0]()" style="width:40px">$\\sec$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cot&quot;][0]()" style="width:40px">$\\cot$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;arcsin&quot;][0]()" style="width:60px">$\\arcsin$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;arccos&quot;][0]()" style="width:60px">$\\arccos$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;arctan&quot;][0]()" style="width:60px">$\\arctan$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;Arcsin&quot;]);moveright()" style="width:65px">$\\operatorname{Arcsin}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;Arccos&quot;]);moveright()" style="width:65px">$\\operatorname{Arccos}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;Arctan&quot;]);moveright()" style="width:65px">$\\operatorname{Arctan}$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;sinh&quot;][0]()" style="width:45px">$\\sinh$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cosh&quot;][0]()" style="width:45px">$\\cosh$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;tanh&quot;][0]()" style="width:50px">$\\tanh$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;coth&quot;][0]()" style="width:50px">$\\coth$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;gcd&quot;][0]()" style="width:40px">$\\gcd$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;hom&quot;][0]()" style="width:40px">$\\hom$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;inf&quot;][0]()" style="width:35px">$\\inf$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ker&quot;][0]()" style="width:35px">$\\ker$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mod&quot;][0]()" style="width:70px">$\\mod\\ $</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;max&quot;][0]()" style="width:45px">$\\max$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;min&quot;][0]()" style="width:40px">$\\min$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sup&quot;][0]()" style="width:40px">$\\sup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;det&quot;][0]()" style="width:40px">$\\det$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dim&quot;][0]()" style="width:40px">$\\dim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bmod&quot;][0]()" style="width:50px">$\\bmod$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Pr&quot;][0]()" style="width:40px">$\\Pr$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;permutation&quot;][0]()" style="width:40px">$_{n}\\operatorname{P}_{r}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;combination&quot;][0]()" style="width:40px">$_{n}\\operatorname{C}_{r}$</button>').appendTo(div);
		}
	});
}
function commandTypeRelational() {		//jQuery keypad 関係演算子
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"関係演算子",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sim&quot;][0]()">$\\sim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;thicksim&quot;][0]()">$\\thicksim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;approx&quot;][0]()">$\\approx$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;thickapprox&quot;][0]()">$\\thickapprox$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;simeq&quot;][0]()">$\\simeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;backsimeq&quot;][0]()">$\\backsimeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;eqsim&quot;][0]()">$\\eqsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cong&quot;][0]()">$\\cong$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;approxeq&quot;][0]()">$\\approxeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;fallingdotseq&quot;][0]()">$\\fallingdotseq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;risingdotseq&quot;][0]()">$\\risingdotseq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gt&quot;][0]()">$\\gt$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lt&quot;][0]()">$\\lt$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;ge&quot;][0]()">$\\ge$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;le&quot;][0]()">$\\le$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;geqq&quot;][0]()">$\\geqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leqq&quot;][0]()">$\\leqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gtrsim&quot;][0]()">$\\gtrsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lesssim&quot;][0]()">$\\lesssim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gtrapprox&quot;][0]()">$\\gtrapprox$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lessapprox&quot;][0]()">$\\lessapprox$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;geqslant&quot;][0]()">$\\geqslant$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leqslant&quot;][0]()">$\\leqslant$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;eqslantgtr&quot;][0]()">$\\eqslantgtr$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;eqslantless&quot;][0]()">$\\eqslantless$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;gg&quot;][0]()">$\\gg$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ll&quot;][0]()">$\\ll$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ggg&quot;][0]()" style="width:35px">$\\ggg$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lll&quot;][0]()" style="width:35px">$\\lll$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gtrless&quot;][0]()">$\\gtrless$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lessgtr&quot;][0]()">$\\lessgtr$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gtreqless&quot;][0]()">$\\gtreqless$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lesseqgtr&quot;][0]()">$\\lesseqgtr$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gtreqqless&quot;][0]()">$\\gtreqqless$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lesseqqgtr&quot;][0]()">$\\lesseqqgtr$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;supset&quot;][0]()">$\\supset$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;subset&quot;][0]()">$\\subset$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;supseteq&quot;][0]()">$\\supseteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;subseteq&quot;][0]()">$\\subseteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;supseteqq&quot;][0]()">$\\supseteqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;subseteqq&quot;][0]()">$\\subseteqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ni&quot;][0]()">$\\ni$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;in&quot;][0]()">$\\in$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Supset&quot;][0]()">$\\Supset$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Subset&quot;][0]()">$\\Subset$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;succ&quot;][0]()">$\\succ$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;prec&quot;][0]()">$\\prec$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;succeq&quot;][0]()">$\\succeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;preceq&quot;][0]()">$\\preceq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;succsim&quot;][0]()">$\\succsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;precsim&quot;][0]()">$\\precsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;succapprox&quot;][0]()">$\\succapprox$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;precapprox&quot;][0]()">$\\precapprox$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;curlyeqsucc&quot;][0]()">$\\curlyeqsucc$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;curlyeqprec&quot;][0]()">$\\curlyeqprec$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;succcurlyeq&quot;][0]()">$\\succcurlyeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;preccurlyeq&quot;][0]()">$\\preccurlyeq$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;sqsupset&quot;][0]()">$\\sqsupset$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sqsubset&quot;][0]()">$\\sqsubset$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sqsupseteq&quot;][0]()">$\\sqsupseteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sqsubseteq&quot;][0]()">$\\sqsubseteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vartriangleleft&quot;][0]()">$\\vartriangleleft$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vartriangleright&quot;][0]()">$\\vartriangleright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;trianglelefteq&quot;][0]()">$\\trianglelefteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;trianglerighteq&quot;][0]()">$\\trianglerighteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lessdot&quot;][0]()">$\\lessdot$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gtrdot&quot;][0]()">$\\gtrdot$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ltimes&quot;][0]()" style="width:35px">$\\ltimes$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rtimes&quot;][0]()" style="width:35px">$\\rtimes$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;triangleq&quot;][0]()">$\\triangleq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;circeq&quot;][0]()">$\\circeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;doteq&quot;][0]()">$\\doteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Bumpeq&quot;][0]()">$\\Bumpeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bumpeq&quot;][0]()">$\\bumpeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Doteq&quot;][0]()">$\\Doteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;asymp&quot;][0]()">$\\asymp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;eqcirc&quot;][0]()">$\\eqcirc$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;veebar&quot;][0]()">$\\veebar$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;barwedge&quot;][0]()">$\\barwedge$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;doublebarwedge&quot;][0]()">$\\doublebarwedge$</button>').appendTo(div);
		}
	});
}
function commandTypeRelationalNot() {		//jQuery keypad 関係演算子（否定）
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"関係演算子（否定）",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ne&quot;][0]()">$\\ne$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nsim&quot;][0]()">$\\nsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ncong&quot;][0]()">$\\ncong$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ngtr&quot;][0]()">$\\ngtr$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nless&quot;][0]()">$\\nless$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gneq&quot;][0]()">$\\gneq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lneq&quot;][0]()">$\\lneq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ngeq&quot;][0]()">$\\ngeq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nleq&quot;][0]()">$\\nleq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ngeqslant&quot;][0]()">$\\ngeqslant$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nleqslant&quot;][0]()">$\\nleqslant$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;gneqq&quot;][0]()">$\\gneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lneqq&quot;][0]()">$\\lneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gvertneqq&quot;][0]()">$\\gvertneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lvertneqq&quot;][0]()">$\\lvertneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ngeqq&quot;][0]()">$\\ngeqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nleqq&quot;][0]()">$\\nleqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gnsim&quot;][0]()">$\\gnsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lnsim&quot;][0]()">$\\lnsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gnapprox&quot;][0]()">$\\gnapprox$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lnapprox&quot;][0]()">$\\lnapprox$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;supsetneq&quot;][0]()">$\\supsetneq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;subsetneq&quot;][0]()">$\\subsetneq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varsupsetneq&quot;][0]()">$\\varsupsetneq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varsubsetneq&quot;][0]()">$\\varsubsetneq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nsupseteq&quot;][0]()">$\\nsupseteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nsubseteq&quot;][0]()">$\\nsubseteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;subsetneqq&quot;][0]()">$\\subsetneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;supsetneqq&quot;][0]()">$\\supsetneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varsupsetneqq&quot;][0]()">$\\varsupsetneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varsubsetneqq&quot;][0]()">$\\varsubsetneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nsubseteqq&quot;][0]()">$\\nsubseteqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nsupseteqq&quot;][0]()">$\\nsupseteqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;notin&quot;][0]()">$\\notin$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;nsucc&quot;][0]()">$\\nsucc$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nprec&quot;][0]()">$\\nprec$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nsucceq&quot;][0]()">$\\nsucceq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;npreceq&quot;][0]()">$\\npreceq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;succneqq&quot;][0]()">$\\succneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;precneqq&quot;][0]()">$\\precneqq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;succnsim&quot;][0]()">$\\succnsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;precnsim&quot;][0]()">$\\precnsim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;succnapprox&quot;][0]()">$\\succnapprox$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;precnapprox&quot;][0]()">$\\precnapprox$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;ntriangleleft&quot;][0]()">$\\ntriangleleft$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ntriangleright&quot;][0]()">$\\ntriangleright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ntrianglelefteq&quot;][0]()">$\\ntrianglelefteq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ntrianglerighteq&quot;][0]()">$\\ntrianglerighteq$</button>').appendTo(div);
		}
	});
}
function commandTypeDifferentiationIntegration() {		//jQuery keypad 幾何と微分及び積分
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"幾何と微分及び積分",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;angle&quot;][0]()">$\\angle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;measuredangle&quot;][0]()">$\\measuredangle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sphericalangle&quot;][0]()">$\\sphericalangle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;perp&quot;][0]()">$\\perp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;llcorner&quot;][0]()">$\\llcorner$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="for (i=0;i<2;i++) TeXcommand[&quot;slash&quot;][0]()">$//$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;triangle&quot;][0]()">$\\triangle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;equiv&quot;][0]()">$\\equiv$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;superscript&quot;][0]();TeXcommand[&quot;circ&quot;][0]();moverights()">$^{\\circ}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mathrm&quot;][0]();insertoperator([&quot;rad&quot;]);moverights()" style="width:35px">$\\mathrm{rad}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;deg&quot;][0]()" style="width:35px">$\\deg$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;frac&quot;][0]();TeXcommand[&quot;mathrm&quot;][0]();TeXcommand[&quot;smallletterd&quot;][0]();moverights();moverights();TeXcommand[&quot;mathrm&quot;][0]();TeXcommand[&quot;smallletterd&quot;][0]();moverights();TeXcommand[&quot;smallletterx&quot;][0]();moverights()">$\\frac{ \\mathrm{ d } }{ \\mathrm{ d } x } $</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;frac&quot;][0]();TeXcommand[&quot;partial&quot;][0]();moverights();TeXcommand[&quot;partial&quot;][0]();TeXcommand[&quot;smallletterx&quot;][0]();moverights()">$\\frac{ \\partial }{ \\partial x } $</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;superscript&quot;][0]();TeXcommand[&quot;prime&quot;][0]();moverights()">$^{\\prime}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mathrm&quot;][0]();insertoperator([&quot;d&quot;]);moverights()">$\\mathrm{d}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;partial&quot;][0]()">$\\partial$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;delta&quot;][0]()">$\\delta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Delta&quot;][0]()">$\\Delta$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mathrm&quot;][0]();TeXcommand[&quot;capitalletterD&quot;][0]();moverights()">$\\mathrm{D}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;subscript&quot;][0]();TeXcommand[&quot;smallletterx&quot;][0]();moverights()">$_{x}$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;int&quot;][0]();TeXcommand[&quot;smallletterx&quot;][0]();movelefts();TeXcommand[&quot;mathrm&quot;][0]();insertoperator([&quot;d&quot;]);movelefts();movelefts();insertoperator([&quot; &quot;])" style="width:45px">$\\int\\mathrm{d}x$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallletterx&quot;][0]();movelefts();TeXcommand[&quot;mathrm&quot;][0]();insertoperator([&quot;d&quot;]);movelefts();movelefts();movelefts();TeXcommand[&quot;definiteintegral&quot;][0]()" style="width:50px">$\\int_{a}^{b}\\mathrm{d}x$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;idotsint&quot;][0]()" style="width:60px">$\\idotsint$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;iiiint&quot;][0]()" style="width:50px">$\\iiiint$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;iiint&quot;][0]()" style="width:35px">$\\iiint$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;iint&quot;][0]()">$\\iint$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;int&quot;][0]()">$\\int$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallint&quot;][0]()">$\\smallint$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;oint&quot;][0]()">$\\oint$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;nabla&quot;][0]()">$\\nabla$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;grad&quot;]);moverights()" style="width:45px">$\\operatorname{grad}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;div&quot;]);moverights()" style="width:35px">$\\operatorname{div}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;rot&quot;]);moverights()" style="width:35px">$\\operatorname{rot}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;operatorname&quot;][0]();insertoperator([&quot;curl&quot;]);moverights()" style="width:40px">$\\operatorname{curl}$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;lim&quot;][0]()" style="width:35px">$\\lim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;limsubscript&quot;][0]()" style="width:30px">$\\displaystyle{\\lim_{n\\to}}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varprojlim&quot;][0]()" style="width:35px">$\\varprojlim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varinjlim&quot;][0]()" style="width:35px">$\\varinjlim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varliminf&quot;][0]()" style="width:35px">$\\varliminf$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varlimsup&quot;][0]()" style="width:35px">$\\varlimsup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;liminf&quot;][0]()" style="width:70px">$\\liminf$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;limsup&quot;][0]()" style="width:70px">$\\limsup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;projlim&quot;][0]()" style="width:70px">$\\projlim$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;injlim&quot;][0]()" style="width:70px">$\\injlim$</button>').appendTo(div);
		}
	});
}
function commandTypeMatrices() {		//jQuery keypad 行列・場合分け
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"行列・場合分け",
		beforeShow:function(div) {
			$('<input type="number" id="matrix_row" class="textareawidth" min="1" max="30" />$\\times$<input type="number" id="matrix_col" class="textareawidth" min="1" max="30" /><strong>行列</strong>').appendTo(div);
			$('<select id="m00"><option>　　(　　)</option><option>　括弧無し</option><option>　　[　　]</option><option>　　{　　}</option><option>　　|　　|</option><option>　　||　　||</option><option>括弧無し小さめ</option></select>').appendTo(div);
			$('<button class="keypad-key" onClick="insertMatrix()" style="width:100px">行列を挿入</button>').appendTo(div);

			$('<br /><input type="number" id="case_pattern" class="textareawidth" min="1" max="30" /><strong>個の場合分け</strong>').appendTo(div);
			$('<select id="m01"><option>　　{　　</option><option>　　(　　</option><option>　括弧無し</option></select>').appendTo(div);
			$('<button class="keypad-key" onClick="insertCaseStatement()" style="width:110px">場合分けを挿入</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="addRowInMatrix()" style="width:100px">1行追加</button>').appendTo(div);
			$('<button class="keypad-key" onClick="deleteRowInMatrix()" style="width:100px">1行消去</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="addColInMatrix()" style="width:100px">1列追加</button>').appendTo(div);
			$('<button class="keypad-key" onClick="deleteColInMatrix()" style="width:100px">1列消去</button>').appendTo(div);

			$('<br /><br /><br /><nav>＜参考＞<ul><li><strong><a href="http://www.wolframalpha.com/input/?i=matrix" target=new>$\\underline{m\\times n}$行列</a></strong></li></ul></nav>').appendTo(div);
		}
	});
}
function commandTypeArrows() {		//jQuery keypad 矢印
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"矢印",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightarrow&quot;][0]()">$\\rightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftarrow&quot;][0]()">$\\leftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;longrightarrow&quot;][0]()" style="width:35px">$\\longrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;longleftarrow&quot;][0]()" style="width:35px">$\\longleftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;uparrow&quot;][0]()">$\\uparrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;downarrow&quot;][0]()">$\\downarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nearrow&quot;][0]()">$\\nearrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nwarrow&quot;][0]()">$\\nwarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;searrow&quot;][0]()">$\\searrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;swarrow&quot;][0]()">$\\swarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nleftarrow&quot;][0]()">$\\nleftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nleftrightarrow&quot;][0]()">$\\nleftrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nrightarrow&quot;][0]()">$\\nrightarrow$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;leftrightarrow&quot;][0]()">$\\leftrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;longleftrightarrow&quot;][0]()" style="width:40px">$\\longleftrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;updownarrow&quot;][0]()">$\\updownarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftleftarrows&quot;][0]()">$\\leftleftarrows$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightrightarrows&quot;][0]()">$\\rightrightarrows$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;upuparrows&quot;][0]()">$\\upuparrows$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;downdownarrows&quot;][0]()">$\\downdownarrows$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftrightarrows&quot;][0]()">$\\leftrightarrows$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightleftarrows&quot;][0]()">$\\rightleftarrows$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;mapsto&quot;][0]()">$\\mapsto$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;longmapsto&quot;][0]()" style="width:40px">$\\longmapsto$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dashrightarrow&quot;][0]()" style="width:35px">$\\dashrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightsquigarrow&quot;][0]()">$\\rightsquigarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftrightsquigarrow&quot;][0]()" style="width:35px">$\\leftrightsquigarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;twoheadleftarrow&quot;][0]()">$\\twoheadleftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;twoheadrightarrow&quot;][0]()">$\\twoheadrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftarrowtail&quot;][0]()">$\\leftarrowtail$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightarrowtail&quot;][0]()">$\\rightarrowtail$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Lleftarrow&quot;][0]()">$\\Lleftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Rrightarrow&quot;][0]()">$\\Rrightarrow$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;Leftarrow&quot;][0]()">$\\Leftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Rightarrow&quot;][0]()">$\\Rightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Longleftarrow&quot;][0]()" style="width:40px">$\\Longleftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Longrightarrow&quot;][0]()" style="width:35px">$\\Longrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Leftrightarrow&quot;][0]()">$\\Leftrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Longleftrightarrow&quot;][0]()" style="width:40px">$\\Longleftrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Uparrow&quot;][0]()">$\\Uparrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Downarrow&quot;][0]()">$\\Downarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Updownarrow&quot;][0]()">$\\Updownarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nLeftarrow&quot;][0]()">$\\nLeftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nRightarrow&quot;][0]()">$\\nRightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nLeftrightarrow&quot;][0]()">$\\nLeftrightarrow$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;circlearrowleft&quot;][0]()">$\\circlearrowleft$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;circlearrowright&quot;][0]()">$\\circlearrowright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;curvearrowleft&quot;][0]()">$\\curvearrowleft$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;curvearrowright&quot;][0]()">$\\curvearrowright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Lsh&quot;][0]()">$\\Lsh$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Rsh&quot;][0]()">$\\Rsh$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;hookleftarrow&quot;][0]()">$\\hookleftarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;hookrightarrow&quot;][0]()">$\\hookrightarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;looparrowleft&quot;][0]()">$\\looparrowleft$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;looparrowright&quot;][0]()">$\\looparrowright$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;upharpoonleft&quot;][0]()">$\\upharpoonleft$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;restriction&quot;][0]()">$\\restriction$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;downharpoonleft&quot;][0]()">$\\downharpoonleft$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;downharpoonright&quot;][0]()">$\\downharpoonright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftharpoonup&quot;][0]()">$\\leftharpoonup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightharpoonup&quot;][0]()">$\\rightharpoonup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftharpoondown&quot;][0]()">$\\leftharpoondown$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightharpoondown&quot;][0]()">$\\rightharpoondown$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftrightharpoons&quot;][0]()">$\\leftrightharpoons$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightleftharpoons&quot;][0]()">$\\rightleftharpoons$</button>').appendTo(div);
		}
	});
}
function commandTypeDelimiters() {		//jQuery keypad (　[　&lt;
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"区切り文字・デリミタ",
		beforeShow:function(div) {
			$('<select name="delimiterSize" onChange="changeDelimiterSizeSelect()"><option>自動</option><option>5</option><option>4</option><option>3</option><option>2</option><option>1</option></select>').appendTo(div);

			$('<input type="radio" name="delimitertype" value="left" checked="checked" /><span>左側　</span>').appendTo(div);
			$('<input type="radio" name="delimitertype" value="right" /><span>右側　　　　　　</span>').appendTo(div);
			$('<span style="visibility:hidden" class="delimiterMD"><input type="radio" name="delimitertype" value="middle" /><span>中間　</span></span>').appendTo(div);
			$('<span style="visibility:hidden" class="delimiterMD"><input type="radio" name="delimitertype" value="default" /><span>通常</span></span><br /><br />').appendTo(div);

			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="(">$($</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value=")">$)$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="[">$[$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="]">$]$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\{">$\\{$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\}">$\\}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\langle">$\\langle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\rangle">$\\rangle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="<">$<$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value=">">$>$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="insertDelimiter(this)" value="\\lmoustache">$\\lmoustache$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\rmoustache">$\\rmoustache$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\lceil">$\\lceil$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\rceil">$\\rceil$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\lfloor">$\\lfloor$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\rfloor">$\\rfloor$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="/">$/$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\backslash">$\\backslash$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="insertDelimiter(this)" value="|">$|$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\vert">$\\vert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\arrowvert">$\\arrowvert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\|">$\\|$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\Vert">$\\Vert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\Arrowvert">$\\Arrowvert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\bracevert">$\\bracevert$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="insertDelimiter(this)" value="\\uparrow">$\\uparrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\downarrow">$\\downarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\updownarrow">$\\updownarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\Uparrow">$\\Uparrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\Downarrow">$\\Downarrow$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertDelimiter(this)" value="\\Updownarrow">$\\Updownarrow$</button>').appendTo(div);
		}
	});
}
function commandTypePositioning() {		//jQuery keypad 位置調整
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"位置調整",
		beforeShow:function(div) {
			$('<input type="number" id="space_size" value="1" style="width:50px" />').appendTo(div);
			$('<select id="u00"><option>cm</option><option>em</option><option>mm</option><option>pt</option><option>px</option></select>').appendTo(div);
			$('<button class="keypad-key" onClick="insertSpace()" style="width:100px">空白を挿入</button><span>$\\ \\ \\ \\ \\ \\ \\ $（　</span>').appendTo(div);
			$('<select id="u01"><option>hskip</option><option>hspace</option><option>kern</option><option>mkern</option><option>mskip</option><option>mspace</option></select>　）<br /><br />').appendTo(div);

			$('<table border="1"><tr><td align="center" style="width:60px"><button id="sqrtPreview" class="keypad-key" onClick="insertSqrt()" style="width:50px">$\\sqrt[n]{a}$</button></td><td><table><tr><td style="border-style:none"><input type="checkbox" name="sqrt_positioning_inside" onClick="sqrt_positioning_inside()" value="inside" checked="checked"><span>$\\sqrt{\\mathstrut\\ \\ }$内の高さ調整</span></td></tr><tr><td style="border-style:none"><input type="number" id="sqrt_positioning_leftroot" min="0" onChange="sqrt_positioning_leftroot()" value="0" style="width:50px" /><span>指数を右へ移動</span></td></tr><tr><td style="border-style:none"><input type="number" id="sqrt_positioning_uproot" min="0" onChange="sqrt_positioning_uproot()" value="0" style="width:50px" /><span>指数を上へ移動</span></td></tr></table></tr></table><script>MathJax.Hub.Queue(["Typeset",MathJax.Hub,document.getElementById("keypad")]);</script>').appendTo(div);
		}
	});
}
function commandTypeOthersymbols1() {		//jQuery keypad ◯△口
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"◯△口",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigcirc&quot;][0]()">$\\bigcirc$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;oplus&quot;][0]()">$\\oplus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ominus&quot;][0]()">$\\ominus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;circleddash&quot;][0]()">$\\circleddash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;otimes&quot;][0]()">$\\otimes$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;odot&quot;][0]()">$\\odot$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;oslash&quot;][0]()">$\\oslash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varnothing&quot;][0]()">$\\varnothing$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;circledast&quot;][0]()">$\\circledast$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;circ&quot;][0]()">$\\circ$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bullet&quot;][0]()">$\\bullet$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;circledcirc&quot;][0]()">$\\circledcirc$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigoplus&quot;][0]()">$\\bigoplus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigotimes&quot;][0]()">$\\bigotimes$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigodot&quot;][0]()">$\\bigodot$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;triangle&quot;][0]()">$\\triangle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigtriangleup&quot;][0]()">$\\bigtriangleup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigtriangledown&quot;][0]()">$\\bigtriangledown$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vartriangle&quot;][0]()">$\\vartriangle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;triangledown&quot;][0]()">$\\triangledown$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;triangleright&quot;][0]()">$\\triangleright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;triangleleft&quot;][0]()">$\\triangleleft$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rhd&quot;][0]()">$\\rhd$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vartriangleright&quot;][0]()">$\\vartriangleright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lhd&quot;][0]()">$\\lhd$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;blacktriangle&quot;][0]()">$\\blacktriangle$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;blacktriangledown&quot;][0]()">$\\blacktriangledown$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;blacktriangleright&quot;][0]()">$\\blacktriangleright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;blacktriangleleft&quot;][0]()">$\\blacktriangleleft$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;Box&quot;][0]()">$\\Box$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;square&quot;][0]()">$\\square$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;boxplus&quot;][0]()">$\\boxplus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;boxminus&quot;][0]()">$\\boxminus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;boxtimes&quot;][0]()">$\\boxtimes$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;boxdot&quot;][0]()">$\\boxdot$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;blacksquare&quot;][0]()">$\\blacksquare$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;blacklozenge&quot;][0]()">$\\blacklozenge$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;heartsuit&quot;][0]()">$\\heartsuit$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;spadesuit&quot;][0]()">$\\spadesuit$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;clubsuit&quot;][0]()">$\\clubsuit$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;diamondsuit&quot;][0]()">$\\diamondsuit$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Diamond&quot;][0]()">$\\Diamond$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lozenge&quot;][0]()">$\\lozenge$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;diamond&quot;][0]()">$\\diamond$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigstar&quot;][0]()">$\\bigstar$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;star&quot;][0]()">$\\star$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;centerdot&quot;][0]()">$\\centerdot$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cdotp&quot;][0]()">$\\cdotp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ldotp&quot;][0]()">$\\ldotp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;colon&quot;][0]()">$\\colon$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cdots&quot;][0]()">$\\cdots$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ldots&quot;][0]()">$\\ldots$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vdots&quot;][0]()">$\\vdots$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ddots&quot;][0]()">$\\ddots$</button>').appendTo(div);
		}
	});
}
function commandTypeOthersymbols10() {		//jQuery keypad その他記号
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"その他記号",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;circledR&quot;][0]()">$\\circledR$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;circledS&quot;][0]()">$\\circledS$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mho&quot;][0]()">$\\mho$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;eth&quot;][0]()">$\\eth$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;digamma&quot;][0]()">$\\digamma$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;yen&quot;][0]()">$\\yen$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;And&quot;][0]()">$\\And$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sharp&quot;][0]()">$\\sharp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Finv&quot;][0]()">$\\Finv$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;flat&quot;][0]()">$\\flat$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;natural&quot;][0]()">$\\natural$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Game&quot;][0]()">$\\Game$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;complement&quot;][0]()">$\\complement$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;aleph&quot;][0]()">$\\aleph$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;emptyset&quot;][0]()">$\\emptyset$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;beth&quot;][0]()">$\\beth$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gimel&quot;][0]()">$\\gimel$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;daleth&quot;][0]()">$\\daleth$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;LaTeX&quot;][0]()" style="width:60px">$\\mathrm{\\LaTeX}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;TeX&quot;][0]()" style="width:50px">$\\mathrm{\\TeX}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;divideontimes&quot;][0]()">$\\divideontimes$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;checkmark&quot;][0]()">$\\checkmark$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;pitchfork&quot;][0]()">$\\pitchfork$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;intercal&quot;][0]()">$\\intercal$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;multimap&quot;][0]()">$\\multimap$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;between&quot;][0]()">$\\between$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dotplus&quot;][0]()">$\\dotplus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;maltese&quot;][0]()">$\\maltese$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;wr&quot;][0]()">$\\wr$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;semicolon&quot;][0]()">$;$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;S&quot;][0]()">$\\S$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dagger&quot;][0]()">$\\dagger$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ddagger&quot;][0]()">$\\ddagger$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;coprod&quot;][0]()">$\\coprod$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;amalg&quot;][0]()">$\\amalg$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;enspace&quot;][0]()">$\\enspace$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;thinspace&quot;][0]()">$\\thinspace$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;qquad&quot;][0]()">$\\qquad$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;quad&quot;][0]()">$\\quad$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;ulcorner&quot;][0]()">$\\ulcorner$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;urcorner&quot;][0]()">$\\urcorner$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;llcorner&quot;][0]()">$\\llcorner$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lrcorner&quot;][0]()">$\\lrcorner$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;frown&quot;][0]()">$\\frown$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smile&quot;][0]()">$\\smile$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallfrown&quot;][0]()">$\\smallfrown$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallsmile&quot;][0]()">$\\smallsmile$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cap&quot;][0]()">$\\cap$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cup&quot;][0]()">$\\cup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Cap&quot;][0]()">$\\Cap$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Cup&quot;][0]()">$\\Cup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;doublecap&quot;][0]()">$\\doublecap$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;doublecup&quot;][0]()">$\\doublecup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;wedge&quot;][0]()">$\\wedge$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vee&quot;][0]()">$\\vee$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;land&quot;][0]()">$\\land$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lor&quot;][0]()">$\\lor$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sqcap&quot;][0]()">$\\sqcap$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;sqcup&quot;][0]()">$\\sqcup$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;bigcap&quot;][0]()">$\\bigcap$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigcup&quot;][0]()">$\\bigcup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigwedge&quot;][0]()">$\\bigwedge$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigvee&quot;][0]()">$\\bigvee$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bigsqcup&quot;][0]()">$\\bigsqcup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;biguplus&quot;][0]()">$\\biguplus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;uplus&quot;][0]()">$\\uplus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Join&quot;][0]()">$\\Join$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leftthreetimes&quot;][0]()">$\\leftthreetimes$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rightthreetimes&quot;][0]()">$\\rightthreetimes$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lmoustache&quot;][0]()">$\\lmoustache$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rmoustache&quot;][0]()">$\\rmoustache$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;curlywedge&quot;][0]()">$\\curlywedge$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;curlyvee&quot;][0]()">$\\curlyvee$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;bracevert&quot;][0]()">$\\bracevert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;shortmid&quot;][0]()">$\\shortmid$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;arrowvert&quot;][0]()">$\\arrowvert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vert&quot;][0]()">$\\vert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mid&quot;][0]()">$\\mid$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nshortmid&quot;][0]()">$\\nshortmid$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nmid&quot;][0]()">$\\nmid$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;shortparallel&quot;][0]()">$\\shortparallel$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Arrowvert&quot;][0]()">$\\Arrowvert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;parallel&quot;][0]()">$\\parallel$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nshortparallel&quot;][0]()">$\\nshortparallel$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nparallel&quot;][0]()">$\\nparallel$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;backslash&quot;][0]()">$\\backslash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;setminus&quot;][0]()">$\\setminus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;smallsetminus&quot;][0]()">$\\smallsetminus$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;diagdown&quot;][0]()">$\\diagdown$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;diagup&quot;][0]()">$\\diagup$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;not&quot;][0]()">$\\not$</button>').appendTo(div);

			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;perp&quot;][0]()">$\\perp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;top&quot;][0]()">$\\top$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vdash&quot;][0]()">$\\vdash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dashv&quot;][0]()">$\\dashv$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Vdash&quot;][0]()">$\\Vdash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;vDash&quot;][0]()">$\\vDash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Vvdash&quot;][0]()">$\\Vvdash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nvdash&quot;][0]()">$\\nvdash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nVdash&quot;][0]()">$\\nVdash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nvDash&quot;][0]()">$\\nvDash$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nVDash&quot;][0]()">$\\nVDash$</button>').appendTo(div);
		}
	});
}
function commandTypeOthercommands() {		//jQuery keypad 同じ記号の別のコマンド
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"同じ記号の別のコマンド",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="TeXcommand[&quot;neq&quot;][0]()">$\\neq$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lnot&quot;][0]()">$\\lnot$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;over&quot;][0]()" style="width:35px">$a\\over b$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;choose&quot;][0]()" style="width:50px">$A\\choose B$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dbinom&quot;][0]()" style="width:60px">$\\dbinom{A}{B}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;intop&quot;][0]()">$\\intop$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lbracerbrace&quot;][0]()">$\\lbrace\\rbrace$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lbrackrbrack&quot;][0]()">$\\lbrack\\rbrack$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lvert&quot;][0]()">$\\lvert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rvert&quot;][0]()">$\\rvert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;lVert&quot;][0]()">$\\lVert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;rVert&quot;][0]()">$\\rVert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;Vert&quot;][0]()">$\\Vert$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;parallel2&quot;][0]()">$\\|$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bowtie&quot;][0]()">$\\bowtie$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;bot&quot;][0]()">$\\bot$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;models&quot;][0]()">$\\models$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cdot&quot;][0]()">$\\cdot$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dotsb&quot;][0]()">$\\dotsb$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dotsi&quot;][0]()">$\\dotsi$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dotsm&quot;][0]()">$\\dotsm$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dotsc&quot;][0]()">$\\dotsc$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dots&quot;][0]()">$\\dots$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;dotso&quot;][0]()">$\\dotso$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;upharpoonright&quot;][0]()">$\\upharpoonright$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;to&quot;][0]()">$\\to$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gets&quot;][0]()">$\\gets$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;iff&quot;][0]()" style="width:50px">$\\iff$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;impliedby&quot;][0]()" style="width:50px">$\\impliedby$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;implies&quot;][0]()" style="width:50px">$\\implies$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;leadsto&quot;][0]()">$\\leadsto$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;owns&quot;][0]()">$\\owns$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;llless&quot;][0]()" style="width:35px">$\\llless$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;gggtr&quot;][0]()" style="width:35px">$\\gggtr$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;unlhd&quot;][0]()">$\\unlhd$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;unrhd&quot;][0]()">$\\unrhd$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;doteqdot&quot;][0]()">$\\doteqdot$</button>').appendTo(div);
		}
	});
}
function commandTypePhysics() {		//jQuery keypad 物理学
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"物理学",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="font(&quot;x&quot;,&quot;1&quot;)">$\\boldsymbol{x}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;\\\\dot{x}&quot;,&quot;1&quot;)">$\\boldsymbol{\\dot{x}}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;\\\\ddot{x}&quot;,&quot;1&quot;)">$\\ddot{\\boldsymbol{x}}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;p&quot;,&quot;1&quot;)">$\\boldsymbol{p}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;\\\\dot{p}&quot;,&quot;1&quot;)">$\\dot{\\boldsymbol{p}}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;F&quot;,&quot;1&quot;)">$\\boldsymbol{F}$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="font(&quot;E&quot;,&quot;1&quot;)">$\\boldsymbol{E}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;B&quot;,&quot;1&quot;)">$\\boldsymbol{B}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;D&quot;,&quot;1&quot;)">$\\boldsymbol{D}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;H&quot;,&quot;1&quot;)">$\\boldsymbol{H}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;nabla&quot;][0]()">$\\nabla$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;cdotp&quot;][0]()">$\\cdotp$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;times&quot;][0]()">$\\times$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;epsilon&quot;][0]();TeXcommand[&quot;subscript&quot;][0]();insertoperator([&quot;0&quot;]);moveright()">$\\epsilon_{0}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;mu&quot;][0]();TeXcommand[&quot;subscript&quot;][0]();insertoperator([&quot;0&quot;]);moveright()">$\\mu_{0}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;j&quot;,&quot;1&quot;)">$\\boldsymbol{j}$</button>').appendTo(div);
			$('<br /><button class="keypad-key" onClick="TeXcommand[&quot;hbar&quot;][0]()">$\\hbar$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;varLambda&quot;][0]();TeXcommand[&quot;subscript&quot;][0]();TeXcommand[&quot;mu&quot;][0]();moveright();TeXcommand[&quot;superscript&quot;][0]();insertoperator([&quot;\\\\hspace{2mm}&quot;]);TeXcommand[&quot;nu&quot;][0]();moveright();" style="width:35px">$\\varLambda_{\\mu}^{\\hspace{2mm} \\nu}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;L&quot;,&quot;10&quot;)">$\\mathcal{L}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="font(&quot;H&quot;,&quot;10&quot;)">$\\mathcal{H}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="TeXcommand[&quot;hat&quot;][0]();insertoperator([&quot;H&quot;]);moveright()">$\\hat{H}$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertoperator([&quot;p\\\\hspace{-2mm}/&quot;])">$p\\hspace{-2mm}/$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertoperator([&quot;\\\\left\\\\langle\\\\psi\\\\right|&quot;])" style="width:30px">$\\left\\langle\\psi\\right|$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertoperator([&quot;\\\\left|\\\\psi\\\\right\\\\rangle&quot;])" style="width:30px">$\\left|\\psi\\right\\rangle$</button>').appendTo(div);
		}
	});
}
function commandTypeStatistics() {		//jQuery keypad 統計学
	$("#keypad").keypad('destroy').keypad({
		keypadOnly:false,
		layout:[],
		prompt:"統計学",
		beforeShow:function(div) {
			$('<button class="keypad-key" onClick="insertoperator([&quot;\\\\frac{1}{\\\\sqrt{2\\\\pi}\\\\sigma}\\\\exp\\\\left(-\\\\frac{\\\\left(x-\\\\mu\\\\right)^{2}}{2\\\\sigma^{2}}\\\\right)&quot;])" style="width:170px">$\\frac{1}{\\sqrt{2\\pi}\\sigma}\\exp\\left(-\\frac{\\left(x-\\mu\\right)^{2}}{2\\sigma^{2}}\\right)$</button>').appendTo(div);
			$('<button class="keypad-key" onClick="insertoperator([&quot;\\\\frac {\\\\sum_{i=1}^{n}\\\\left(x_{i}-\\\\bar{x}\\\\left)\\\\right(y_{i}-\\\\bar{y}\\\\right)}{\\\\sqrt{\\\\sum_{i=1}^{n}(x_{i}-\\\\bar{x})^{2}}\\\\sqrt{\\\\sum_{i=1}^{n}\\\\left(y_{i}-\\\\bar{y}\\\\right)^{2}}}&quot;])" style="width:200px">$\\frac {\\sum_{i=1}^{n}\\left(x_{i}-\\bar{x}\\left)\\right(y_{i}-\\bar{y}\\right)}{\\sqrt{\\sum_{i=1}^{n}(x_{i}-\\bar{x})^{2}}\\sqrt{\\sum_{i=1}^{n}\\left(y_{i}-\\bar{y}\\right)^{2}}}$</button>').appendTo(div);
		}
	});
}
