﻿var MathInput="#MathInput",			//発言内容のtextareaのid属性の値
	eqg="MathInput",			//発言内容のtextareaのid属性の値
	cursortext,cursorp,lastp,	//発言内容、カーソルの位置、発言内容の文字数
	cursor="｜";				//GUI入力で使うカーソル

var PHPversion=true;
function hiddene() {
	renewMath();
	undoPrepare();
//	MI=document.getElementById("MathPreview").innerHTML;
//	if (document.getElementById("MathInput").innerHTML.length>0) $("#MathPreview").attr("contenteditable","true");
}
function renewMath() {		//発言内容の変更を反映
	var a=$(MathInput).val();		//発言内容
	//a=a.replace(/[\r\n]/g,"<br />");		//発言内容
	$("#MathPreview").html(a);		//プレビュー欄に発言内容を代入
	$("#uploadMathInputh").val(a);	//画像アップロード完了のページへ渡す編集中の発言内容
	MathJax.Hub.Queue(["Typeset",MathJax.Hub,document.getElementById("MathPreview")]);		//発言内容のプレビュー欄を数式レンダリング
	scrollBottom();			//プレビュー欄の高さが増えてもGUIの見た目の位置が変わらないように、常に最下部へスクロール
}

var undoIndex=-1,
	undoHistory=[];		//「元に戻す」ボタンで表示する履歴
function undoPrepare() {
	undoHistory.push($(MathInput).val());
	undoIndex=undoHistory.length-2;
}
function undo() {		//「元に戻す」ボタンで起動
	if (undoHistory.length==2&&undoIndex==1) {undoIndex--;undo();}
	if (undoIndex<0) {
		undoHistory.splice(0,undoHistory.length);
		return;
	}
	$(MathInput).val(undoHistory[undoIndex]);
	renewMath();
	undoHistory.splice(undoIndex+1,1);
	undoIndex--;
	while (undoHistory[undoIndex-1].replace(/ /g,"")==undoHistory[undoIndex].replace(/ /g,""))
		undoIndex--;
}

function newline() {	var operator="\\\\";	insertoperator([operator]);	}

function deleteEquationEnvironment(equation) {
	for (e=0;e<EquationEnvironment.length;e++)		//各数式環境について調べる
		if (equation.indexOf(EquationEnvironment[e][0])!=-1)
			equation=equation.substring(equation.indexOf(EquationEnvironment[e][0])+EquationEnvironment[e][0].length,equation.indexOf(EquationEnvironment[e][1]));
	return equation;
}

function neweqnarray() {	//発言内容内の最後尾に新しく数式環境（eqnarray*）を追加する。
	deletecursor();
	cursorText();
	$(MathInput).val(cursortext+"\r\n\\begin{eqnarray*}"+cursor+"\\end{eqnarray*}");
	hiddene();
}
function newequationinsentence() {	//発言内容の最後尾に新しく文章中の数式環境を追加する。
	deletecursor();
	cursorText();
	$(MathInput).val(cursortext+"\r\n$"+cursor+"$");
	hiddene();
}
var beginEquationp,equationType;
function searchLeftsideEquation(t,c) {		//文字列tのc文字目の左側にある一番近い数式環境の開始コマンドの位置を探す。
	beginEquationp=-1;equationType=-1;
	var flag=false;
	for (e=0;e<EquationEnvironment.length;e++)		//各数式環境について調べる
		for (k=c;k>=0;k--)		//カーソルの左側を調べる
			for (be=0;be<2;be++) {		//開始コマンドか終了コマンドか調べる
				var EE=EquationEnvironment[e][be];
				if (t.substring(k-EE.length,k)==EE) {		//見つかったとき
					if (be==0) {	//開始コマンドが見つかったとき、
						beginEquationp=k-EE.length;		//開始コマンドの1文字目の位置
						equationType=e;			//数式環境の種類
						return;
					} else return;			//終了コマンドが見つかったとき、どちらも-1で終了
				}
			}
}
var endEquationp,equationTypeEnd;
function searchRightsideEquation(t,c) {		//文字列tのc文字目の右側にある一番近い数式環境の終了コマンドの位置を探す。
	endEquationp=-1;equationTypeEnd=-1;
	var flag=false;
	for (e=0;e<EquationEnvironment.length;e++)		//各数式環境について調べる
		for (k=c;k<t.length;k++)		//カーソルの右側を調べる
			for (be=0;be<2;be++)		//開始コマンドか終了コマンドか調べる
				if (t.substring(k,k+EquationEnvironment[e][be].length)==EquationEnvironment[e][be]) {		//見つかったとき
					if (be==1) {		//終了コマンドが見つかったとき、
						endEquationp=k;		//開始コマンドの1文字目の位置
						equationTypeEnd=e;			//数式環境の種類
						return;
					} else return;			//終了コマンドが見つかったとき、どちらも-1で終了
				}
}

function deleteequation() {		//カーソルのある式を削除する
	cursorText();
	if (cursorp!=-1) {		//発言内容にカーソルがあるとき
		searchLeftsideEquation(cursortext,cursorp);
		if (beginEquationp!=-1) {		//カーソルの左側に数式環境の開始コマンドが終了コマンドより先に見つかった場合
			var EE=EquationEnvironment[equationType],
				EE0=EE[0].length,
				EE1=EE[1];
			$(MathInput).val(cursortext.substring(Number("0"),beginEquationp)+cursortext.substring(beginEquationp+EE0+cursortext.substring(beginEquationp+EE0,lastp).indexOf(EE1)+EE1.length,lastp));
		}
	}
	hiddene();
}

function deletecursor() {
	cursorText();
	cursortext=cursortext.replace(/｜/g,"");	//まずカーソルを全て消去する
	var flag;
	for (s=0;s<lastp;s++) {		//カーソル以外に何も無い数式は消去する
		flag=false;
		for (e=0;e<EquationEnvironment.length;e++) {	//数式環境の開始コマンドを全て見つける
			var EE0=EquationEnvironment[e][0];
			if (cursortext.substring(s,s+EE0.length)==EE0) {
				var EE0l=EE0.length,EE1=EquationEnvironment[e][1],EE1l=EE1.length;
				for (space=0;space<10;space++) {
					var c=s+EE0l+space;		//数式環境の終了コマンドの1文字目の位置の候補
					if (cursortext.substring(c,c+EE1l)==EE1) {
						cursortext=cursortext.substring(Number("0"),s)+cursortext.substring(c+EE1l,lastp);
						s+=EE0l+EE1l;
						flag=true;
						break;
					} else if (cursortext.substring(c,c+1)!=" ") {		//空白スペースでなく、通常の文字が数式環境内にあった場合、その数式環境は保存
						s+=EE0l+EE1l;
						flag=true;
						break;
					}
				}
			}
			if (flag) break;
		}
	}
	$(MathInput).val(cursortext);
	hiddene();
}

function insertoperator(operator) {
	cursorText();
	var buffer=operator[0]+" "+cursor;
	for (e=1;e<operator.length;e++) buffer+=operator[e];
	operator=buffer;
	var matches=cursortext.match(/｜+/);	//matchesは配列
	if (matches==null) {	//カーソルが無い場合
		operator="\r\n\\begin{eqnarray*}"+operator+" "+"\\end{eqnarray*}";
		cursorp=lastp;
	} else {				//カーソルがある場合
		matches=cursortext.substring(cursorp+1,lastp).match(/｜+/);	//配列
		if (matches!=null) {	//万が一、カーソルが複数個ある場合
			deletecursor();
			operator="\\begin{eqnarray*}"+operator+" "+"\\end{eqnarray*}";
		} else {				//カーソルが1個ある場合
			var eqcommand="none";
			for (i=cursorp;i>=0;i--) {
				for (e=0;e<EquationEnvironment.length;e++)
					if (cursortext.substring(i-EquationEnvironment[e][0].length,i)==EquationEnvironment[e][0]) {
						eqcommand="begin";
						break;
					} else if (cursortext.substring(i-EquationEnvironment[e][1].length,i)==EquationEnvironment[e][1]) {
						eqcommand="end";
						break;
					}
				if (eqcommand!="none") break;
			}
			if (eqcommand=="end"||eqcommand=="none") {		//万が一、カーソルが数式環境の外側にある場合(カーソルから左に探すと数式環境の終了コマンドが開始コマンドより先に見つかるか、見つからない)
				deletecursor();
				operator="\r\n\\begin{eqnarray*}"+operator+"\\end{eqnarray*}";
			}
		}
	}
	$(MathInput).val(cursortext.substring(Number("0"),cursorp)+operator+cursortext.substring(cursorp+1,lastp));
	hiddene();
}
function onlyinsertoperator(operator) {
	cursorText();
	var buffer=operator[0]+" "+cursor;
	for (e=1;e<operator.length;e++) buffer+=operator[e];
	operator=buffer;
	var matches=cursortext.match(/｜+/);	//matchesは配列
	if (matches==null) {	//カーソルが無い場合
		operator="\r\n\\begin{eqnarray*}"+operator+" "+"\\end{eqnarray*}";
		cursorp=lastp;
	} else {				//カーソルがある場合
		matches=cursortext.substring(cursorp+1,lastp).match(/｜+/);	//配列
		if (matches!=null) {	//万が一、カーソルが複数個ある場合
			deletecursor();
			operator="\\begin{eqnarray*}"+operator+" "+"\\end{eqnarray*}";
		} else {				//カーソルが1個ある場合
			var eqcommand="none";
			for (i=cursorp;i>=0;i--) {
				for (e=0;e<EquationEnvironment.length;e++)
					if (cursortext.substring(i-EquationEnvironment[e][0].length,i)==EquationEnvironment[e][0]) {
						eqcommand="begin";
						break;
					} else if (cursortext.substring(i-EquationEnvironment[e][1].length,i)==EquationEnvironment[e][1]) {
						eqcommand="end";
						break;
					}
				if (eqcommand!="none") break;
			}
			if (eqcommand=="end"||eqcommand=="none") {		//万が一、カーソルが数式環境の外側にある場合(カーソルから左に探すと数式環境の終了コマンドが開始コマンドより先に見つかるか、見つからない)
				deletecursor();
				operator="\r\n\\begin{eqnarray*}"+operator+"\\end{eqnarray*}";
			}
		}
	}
	document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp)+operator+cursortext.substring(cursorp+1,lastp);
}

function cursorText() {
	cursortext=$(MathInput).val();
	cursorp=cursortext.indexOf(cursor);
	lastp=cursortext.length;
}
function moveleft() {
	cursorText();
	$(MathInput).val(cursortext.substring(Number("0"),cursorp-1)+cursor+cursortext.substring(cursorp-1,cursorp)+cursortext.substring(cursorp+1,lastp));
	hiddene();
}
function moveright() {
	cursorText();
	$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+2)+cursor+cursortext.substring(cursorp+2,lastp));
	hiddene();
}

function surveyspaceleft() {	//半角スペースと改行も越える
	cursorText();
	var left=cursortext.substring(cursorp-1,cursorp);
	if (left==" "||left=="\n"||left=="\r") moveleft();
}
function deletespaceleft() {	//半角スペースと改行も消す
	cursorText();
	var left=cursortext.substring(cursorp-1,cursorp);
	if (left==" "||left=="\n"||left=="\r") $(MathInput).val(cursortext.substring(Number("0"),cursorp-1)+cursortext.substring(cursorp,lastp));
}
function surveyspaceright() {	//半角スペースと改行も越える
	cursorText();
	var right=cursortext.substring(cursorp+1,cursorp+2);
	if (right==" "||right=="\n"||right=="\r") moveright();
}
function deletespaceright() {	//半角スペースと改行も消す
	cursorText();
	var right=cursortext.substring(cursorp+1,cursorp+2);
	if (right==" "||right=="\n"||right=="\r") $(MathInput).val(cursortext.substring(Number("0"),cursorp+1)+cursortext.substring(cursorp+2,lastp));
}

function searchNearestEquationEnvironment(textIncludingEquationEnvironment,initialPosition,orientation,beginend) {		//文字列tのc文字目の左側にある一番近い数式環境のbegin_endコマンドの1文字目の位置を返す。
	var EquationPosition=-1;
	if (beginend=="begin") beginend=0;
	else if (beginend=="end") beginend=1;
	for (e=0;e<EquationEnvironment.length;e++)		//各数式環境について調べる
		if (orientation=="left") {
			for (k=initialPosition;k>=0;k--)		//カーソルの左側を調べる
				for (be=0;be<2;be++)		//開始コマンドと終了コマンドか調べる
					if (textIncludingEquationEnvironment.substring(k-EquationEnvironment[e][be].length+1,k+1)==EquationEnvironment[e][be])		//見つかったとき
						if (be==beginend)		//開始コマンドか終了コマンドの探している方が先に見つかったとき、
							return k-EquationEnvironment[e][be].length;		//開始コマンドか終了コマンドの1文字目の位置
						else return -1;			//探している方でない方が先に見つかったとき、-1
		} else if (orientation=="right") {
			for (k=initialPosition;k<textIncludingEquationEnvironment.length;k++)		//カーソルの右側を調べる
				for (be=0;be<2;be++)		//開始コマンドか終了コマンドか調べる
					if (textIncludingEquationEnvironment.substring(k,k+EquationEnvironment[e][be].length)==EquationEnvironment[e][be])		//見つかったとき
						if (be==beginend)		//開始コマンドか終了コマンドの探している方が先に見つかったとき、
							return k;			//開始コマンドか終了コマンドの1文字目の位置
						else return -1;			//探している方でない方が先に見つかったとき、-1
		}
}

function movelefts() {	//←に何文字かまとめて移動。具体的。
	for (i=0;i<10;i++) surveyspaceleft();
	cursorText();
	if (cursorp<0) {
		var flag=false;
		for (i=0;i<lastp;i++) {
			for (e=0;e<EquationEnvironment.length;e++) {
				var EE0=EquationEnvironment[e][0];
				if (cursortext.substring(i,i+EE0.length)==EE0) {
					var EE0l=EE0.length;
					$(MathInput).val(cursortext.substring(Number("0"),i+EE0l)+cursor+cursortext.substring(i+EE0l,lastp));
					flag=true;break;
				}
			}
			if (flag) break;
		}
	} else {
	var flag=false;

	if (cursortext.substring(cursorp-1,cursorp)=="}") {
		var a=cursortext.substring(0,cursorp-1),
			a1=a.lastIndexOf("\\"),
			a2=a.lastIndexOf("{");
		for (var s in spaceTypes)
			if (cursortext.substring(a1,a2)==spaceTypes[s]) {
				$(MathInput).val(cursortext.substring(Number("0"),a1)+cursor+cursortext.substring(a1,cursorp)+cursortext.substring(cursorp+1,lastp));
				flag=true;break;
				cursorText();
				a=cursortext.substring(0,cursorp-1),
				a1=a.lastIndexOf("\\"),
				a2=a.lastIndexOf("{");
			}
		if (cursortext.substring(a1,a2)=="\\uproot}]{") {
			$(MathInput).val(cursortext.substring(Number("0"),a1)+cursor+cursortext.substring(a1,cursorp)+cursortext.substring(cursorp+1,lastp));
			cursorText();
			a=cursortext.substring(0,cursorp-1),
			a1=a.lastIndexOf("\\"),
			a2=a.lastIndexOf("{");
		}
		if (cursortext.substring(a1,a2)=="\\leftroot") {
			$(MathInput).val(cursortext.substring(Number("0"),a1)+cursor+cursortext.substring(a1,cursorp)+cursortext.substring(cursorp+1,lastp));
			cursorText();
		}
	}
	
	for (e=0;e<leftrightdot.length;e++) {
		for (be=0;be<leftrightdot[e].length;be++) {
			var LR=leftrightdot[e][be];
			if (cursortext.substring(cursorp-LR.length,cursorp)==LR) {
				var LRl=LR.length;
				$(MathInput).val(cursortext.substring(Number("0"),cursorp-LRl)+cursor+cursortext.substring(cursorp-LRl,cursorp)+cursortext.substring(cursorp+1,lastp));
				flag=true;break;
			}
		}
		if (flag) break;
	}
	for (e=0;e<leftright.length;e++) {
		for (be=0;be<leftright[e].length;be++) {
			var LR=leftright[e][be];
			if (cursortext.substring(cursorp-LR.length,cursorp)==LR) {
				var LRl=LR.length;
				$(MathInput).val(cursortext.substring(Number("0"),cursorp-LRl)+cursor+cursortext.substring(cursorp-LRl,cursorp)+cursortext.substring(cursorp+1,lastp));
				flag=true;break;
			}
		}
		if (flag) break;
	}
	if (!flag)
		for (e=0;e<EquationEnvironment.length;e++) {		//カーソルの左隣りに数式環境の開始コマンドがあるか探す
			var EE=EquationEnvironment[e][0];
			if (cursortext.substring(cursorp-EE.length,cursorp)==EE) {
				var endEquationEnvironmentPosition=1+searchNearestEquationEnvironment(cursortext,cursorp-EE.length,"left","end");
				if (endEquationEnvironmentPosition>0)
					$(MathInput).val(cursortext.substring(Number("0"),endEquationEnvironmentPosition)+cursor+cursortext.substring(endEquationEnvironmentPosition,cursorp)+cursortext.substring(cursorp+1,lastp));
					flag=true;break;		//カーソルがある位置が発言内容の最初の数式内の場合
			}
		}
	if (!flag)
		for (e=0;e<acrossTeXcommand.length;e++) {
			var a=acrossTeXcommand[e],al=a.length;
			if (al>1&&cursortext.substring(cursorp-al,cursorp)==a) {
				if (a.indexOf("\\mathstrut")!=-1) {
					cursortext=cursortext.substring(Number("0"),cursorp-al)+cursor+cursortext.substring(cursorp-al,cursorp)+cursortext.substring(cursorp+1,lastp);
					e=-1;
					cursorp=cursortext.indexOf(cursor);
					lastp=cursortext.length;
				} else {
					$(MathInput).val(cursortext.substring(Number("0"),cursorp-al)+cursor+cursortext.substring(cursorp-al,cursorp)+cursortext.substring(cursorp+1,lastp));
					flag=true;break;
				}
			}
		}
	if (!flag) {
		var s190=cursortext.substring(cursorp-19,cursorp);
		var s180=cursortext.substring(cursorp-18,cursorp);
		var s170=cursortext.substring(cursorp-17,cursorp);
		var s160=cursortext.substring(cursorp-16,cursorp);
		var s150=cursortext.substring(cursorp-15,cursorp);
		var s140=cursortext.substring(cursorp-14,cursorp);
		var s130=cursortext.substring(cursorp-13,cursorp);
		var s120=cursortext.substring(cursorp-12,cursorp);
		var s110=cursortext.substring(cursorp-11,cursorp);
		var s100=cursortext.substring(cursorp-10,cursorp);
		var s90=cursortext.substring(cursorp-9,cursorp);
		var s80=cursortext.substring(cursorp-8,cursorp);
		var s70=cursortext.substring(cursorp-7,cursorp);
		var s60=cursortext.substring(cursorp-6,cursorp);
		var s50=cursortext.substring(cursorp-5,cursorp);
		var s40=cursortext.substring(cursorp-4,cursorp);
		var s30=cursortext.substring(cursorp-3,cursorp);
		var s20=cursortext.substring(cursorp-2,cursorp);
		if (s20=="\\|"||s20=="\\{"||s20=="\\}"||s20=="\\\\")	//後ろ1文字と「\」
			$(MathInput).val(cursortext.substring(Number("0"),cursorp-2)+cursor+cursortext.substring(cursorp-2,cursorp)+cursortext.substring(cursorp+1,lastp));
		else moveleft();	//後ろに1文字分移動。
	}
		for (i=0;i<10;i++) surveyspaceleft();
	
	//delimiterのコマンドも飛び越える
		for (var d in delimiterSizes) for (i=0;i<4;i++) {
			var dS=delimiterSizes[d][i];
			if (cursortext.substring(cursorp-dS.length,cursorp)==dS) {
				var dSl=dS.length;
				$(MathInput).val(cursortext.substring(Number("0"),cursorp-dSl)+cursor+cursortext.substring(cursorp-dSl,cursorp)+cursortext.substring(cursorp+1,lastp));
				break;
			}
		}

		for (i=0;i<10;i++) surveyspaceleft();
	}
	hiddene();
}
function moverights() {	//→に何文字かまとめて移動。具体的。
	for (i=0;i<10;i++) surveyspaceright();
	cursorText();
	if (cursorp<0) {
		var flag=false;
		for (i=0;i<lastp;i++) {
			for (e=0;e<EquationEnvironment.length;e++) {
				var EE=EquationEnvironment[e][0];
				if (cursortext.substring(i,i+EE.length)==EE) {
					var EEl=EE.length;
					$(MathInput).val(cursortext.substring(Number("0"),i+EEl)+cursor+cursortext.substring(i+EEl,lastp));
					flag=true;break;
				}
			}
			if (flag) break;
		}
	} else {

		var flag=false;

	for (var s in spaceTypes) {
		var sT=spaceTypes[s];
		if (cursortext.substring(cursorp+1,cursorp+1+sT.length)==sT) {
			var a=cursorp+1+cursortext.substring(cursorp+1,lastp).indexOf("}")+1;
			$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,a)+cursor+cursortext.substring(a,lastp));
			flag=true;break;
		}
	}
	if (cursortext.substring(cursorp+1,cursorp+1+9)=="\\leftroot") {
		var a=cursorp+1+cursortext.substring(cursorp+1,lastp).indexOf("}")+1;
		$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,a)+cursor+cursortext.substring(a,lastp));
		cursorText();
	}
	if (cursortext.substring(cursorp+1,cursorp+1+7)=="\\uproot") {
		var a=cursorp+1+cursortext.substring(cursorp+1,lastp).indexOf("}")+1;
		$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,a)+cursor+cursortext.substring(a,lastp));
	}

	if (!flag) {
	//delimiterのコマンドも飛び越える
		for (var d in delimiterSizes)
			for (i=0;i<4;i++) {
				var dS=delimiterSizes[d][i];
				if (cursortext.substring(cursorp+1,cursorp+dS.length+1)==dS) {
					var dSl=dS.length;
					$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+dSl+1)+cursor+cursortext.substring(cursorp+dSl+1,lastp));
					break;
				}
			}
		for (i=0;i<10;i++) {
			cursorText();
			if (cursortext.substring(cursorp+1,cursorp+2)==" ")
				$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+2)+cursor+cursortext.substring(cursorp+2,lastp));
			else break;
		}
	}

//	cursorText();

	for (e=0;e<leftrightdot.length;e++) {
		for (be=0;be<2;be++) {
			var LR=leftrightdot[e][be];
			if (cursortext.substring(cursorp+1,cursorp+LR.length+1)==LR) {
				var LRl=LR.length;
				$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+1+LRl)+cursor+cursortext.substring(cursorp+1+LRl,lastp));
				flag=true;break;
			}
		}
		if (flag) break;
	}
	for (e=0;e<leftright.length;e++) {
		for (be=0;be<2;be++) {
			var LR=leftright[e][be];
			if (cursortext.substring(cursorp+1,cursorp+LR.length+1)==LR) {
				var LRl=LR.length;
				$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+1+LRl)+cursor+cursortext.substring(cursorp+1+LRl,lastp));
				flag=true;break;
			}
		}
		if (flag) break;
	}
	for (var e in EquationEnvironment) {
		var EE=EquationEnvironment[e][1];
		if (cursortext.substring(cursorp+1,cursorp+EE.length+1)==EE) {		//カーソルの右隣りに数式環境の終了コマンドがあるとき
			var beginEquationEnvironmentPosition=searchNearestEquationEnvironment(cursortext,cursorp+EE.length+1,"right","begin");
			if (beginEquationEnvironmentPosition!=-1)		//さらに右側に数式環境の開始コマンドが見つかったとき
				for (e1=0;e1<EquationEnvironment.length;e1++) {
					var EE1=EquationEnvironment[e1][0];
					if (cursortext.substring(beginEquationEnvironmentPosition,beginEquationEnvironmentPosition+EE1.length)==EE1) {
						var EE1l=EE1.length;
						$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,beginEquationEnvironmentPosition+EE1l)+cursor+cursortext.substring(beginEquationEnvironmentPosition+EE1l,lastp));
						break;
					}
				}
			flag=true;break;		//カーソルがある位置が発言内容の最後の数式内の場合
		}
		if (flag) break;
	}
	if (!flag)
		for (e=0;e<acrossTeXcommand.length;e++) {
			var a=acrossTeXcommand[e];
			if (a.length>1&&cursortext.substring(cursorp+1,cursorp+a.length+1)==a) {
				var al=a.length;
				$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+al+1)+cursor+cursortext.substring(cursorp+al+1,lastp));
				flag=true;break;
			}
			if (flag) break;
		}
	if (!flag) {
		var s020=cursortext.substring(cursorp+1,cursorp+21);
		var s019=cursortext.substring(cursorp+1,cursorp+20);
		var s018=cursortext.substring(cursorp+1,cursorp+19);
		var s017=cursortext.substring(cursorp+1,cursorp+18);
		var s016=cursortext.substring(cursorp+1,cursorp+17);
		var s015=cursortext.substring(cursorp+1,cursorp+16);
		var s014=cursortext.substring(cursorp+1,cursorp+15);
		var s013=cursortext.substring(cursorp+1,cursorp+14);
		var s012=cursortext.substring(cursorp+1,cursorp+13);
		var s011=cursortext.substring(cursorp+1,cursorp+12);
		var s010=cursortext.substring(cursorp+1,cursorp+11);
		var s09=cursortext.substring(cursorp+1,cursorp+10);
		var s08=cursortext.substring(cursorp+1,cursorp+9);
		var s07=cursortext.substring(cursorp+1,cursorp+8);
		var s06=cursortext.substring(cursorp+1,cursorp+7);
		var s05=cursortext.substring(cursorp+1,cursorp+6);
		var s04=cursortext.substring(cursorp+1,cursorp+5);
		var s03=cursortext.substring(cursorp+1,cursorp+4);
		var s02=cursortext.substring(cursorp+1,cursorp+3);
		if (s014=="\\boldsymbol{E}"||s014=="\\boldsymbol{B}"||s014=="\\boldsymbol{D}"||s014=="\\boldsymbol{H}"||s014=="\\boldsymbol{j}"||s014=="\\")	//「\」と先13文字
			$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+15)+cursor+cursortext.substring(cursorp+15,lastp));
		else if (s02=="\\|"||s02=="\\{"||s02=="\\}"||s02=="\\\\")
			$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+3)+cursor+cursortext.substring(cursorp+3,lastp));
		else moveright();	//先に1文字分移動。
	}
	for (i=0;i<10;i++) surveyspaceright();
	
//	if (cursortext.substring(cursorp+1,cursorp+1+"\\right".length)=="\\right") $(MathInput).val($(MathInput).val().substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+3)+cursor+cursortext.substring(cursorp+3,lastp));

	
	for (i=0;i<10;i++) surveyspaceright();
	}
	hiddene();
}
function moveup() {		//1つ上の数式内の先頭に移る
	for (i=0;i<10;i++) surveyspaceright();
	cursorText();
	var beginEquationEnvironmentPosition=searchNearestEquationEnvironment(cursortext,cursorp,"left","begin");
	if (beginEquationEnvironmentPosition>-1) {		//数式環境の開始コマンドが見つかったとき
		var endEquationEnvironmentPosition=searchNearestEquationEnvironment(cursortext,beginEquationEnvironmentPosition-1,"left","end");
		if (endEquationEnvironmentPosition!=-1)		//さらに左側に数式環境の終了コマンドが見つかったとき
			beginEquationEnvironmentPosition=searchNearestEquationEnvironment(cursortext,endEquationEnvironmentPosition-1,"left","begin");
			beginEquationEnvironmentPosition++;
			if (beginEquationEnvironmentPosition!=-1)		//さらに左側に数式環境の開始コマンドが見つかったとき
				for (e=0;e<EquationEnvironment.length;e++)
					if (cursortext.substring(beginEquationEnvironmentPosition,beginEquationEnvironmentPosition+EquationEnvironment[e][0].length)==EquationEnvironment[e][0]) {
						$(MathInput).val(cursortext.substring(Number("0"),beginEquationEnvironmentPosition+EquationEnvironment[e][0].length)+cursor+cursortext.substring(beginEquationEnvironmentPosition+EquationEnvironment[e][0].length,cursorp)+cursortext.substring(cursorp+1,lastp));
						break;
					}
	}
	hiddene();
}
function movedown() {		//1つ下の数式内の先頭に移る
	for (i=0;i<10;i++) surveyspaceright();
	cursorText();
	var endEquationEnvironmentPosition=searchNearestEquationEnvironment(cursortext,cursorp,"right","end");
	if (endEquationEnvironmentPosition>-1) {		//数式環境の終了コマンドが見つかったとき
		var beginEquationEnvironmentPosition=searchNearestEquationEnvironment(cursortext,endEquationEnvironmentPosition+1,"right","begin");
		if (beginEquationEnvironmentPosition!=-1)		//さらに右側に数式環境の開始コマンドが見つかったとき
			for (e=0;e<EquationEnvironment.length;e++)
				if (cursortext.substring(beginEquationEnvironmentPosition,beginEquationEnvironmentPosition+EquationEnvironment[e][0].length)==EquationEnvironment[e][0]) {
					$(MathInput).val(cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,beginEquationEnvironmentPosition+EquationEnvironment[e][0].length)+cursor+cursortext.substring(beginEquationEnvironmentPosition+EquationEnvironment[e][0].length,lastp));
					break;
				}
	}
	hiddene();
}
function backspace() {
	for (i=0;i<10;i++) surveyspaceleft();
	cursorText();	var flag=false;
	if (cursorp!=-1) {

	for (var e in matrixcommands) {		//カーソルの左隣りに行列の終了コマンドがあるか探す
		var mc=matrixcommands[e][1];
		if (cursortext.substring(cursorp-mc.length,cursorp)==mc) {
			var mcl=mc.length;
			$(MathInput).val(cursortext.substring(Number("0"),cursorp-mcl)+cursor+cursortext.substring(cursorp-mcl,lastp).replace(/｜/g,""));
			flag=true;break;
		}
	}

	if (!flag)
	for (e=0;e<EquationEnvironment.length;e++) {		//カーソルの左隣りに数式環境の開始コマンドがあるか探す
		var EE=EquationEnvironment[e][0];
		if (cursortext.substring(cursorp-EE.length,cursorp)==EE) {
			flag=true;break;		//カーソルがある位置が発言内容の最初の数式内の場合
		}
	}

/*	カーソルの左側にCが見つかったとき、
　		Cの左側にlがあるとき、lC			☆
　		Cの左側にrがあるとき、
　			rの左側に.があるとき、l.rC	☆
			rの左側に.がないとき、rC		☆
		Cの左側にSがあるとき、SC			☆
	カーソルの左側にlCr.があるとき、lCr.	☆*/
//区切り記号（デリミタ、delimiter）を消去する
	if (!flag){
		for (dC=0;dC<delimiterCommand.length;dC++) {
			if (cursortext.substring(cursorp-delimiterCommand[dC].length,cursorp)==delimiterCommand[dC]) {
				var p=cursorp-delimiterCommand[dC].length;			//delimiterCommandの左端の位置
				while (cursortext.substring(p-1,p)==" ") p--;		//delimiterCommandの左側に半角スペースがあれば、その左側の位置
				if (cursortext.substring(p-"\\left".length,p)=="\\left") {
					//leftとdelimiterCommandを消去する
					p-="\\left".length;
					cursortext=cursortext.substring(Number("0"),p)+cursortext.substring(cursorp,lastp);		//「\right」とdelimiterCommandを消去する
					//右側のrightに\left.を付ける
					passLRstructure(cursortext,p,"right");		//カーソルと同じ深さにある「\right」の「\」の位置がLorRpに入った
					//「\right.」かどうか確かめる
					p=LorRp+"\\right".length;		//いま、「\right」の右隣
					while (cursortext.substring(p,p+1)==" ") p++;
					if (cursortext.substring(p,p+1)==".")
							$(MathInput).val(cursortext.substring(Number("0"),LorRp)+cursortext.substring(p+1,cursortext.length));
					else	$(MathInput).val(cursortext.substring(Number("0"),LorRp)+"\\left."+cursortext.substring(LorRp,cursortext.length));
					flag=true;
				} else if (cursortext.substring(p-"\\right".length,p)=="\\right") {
					p-="\\right".length;
					while (cursortext.substring(p-1,p)==" ") p--;
					if (cursortext.substring(p-1,p)==".") {
						p--;
						while (cursortext.substring(p-1,p)==" ") p--;
						if (cursortext.substring(p-"\\left".length,p)=="\\left") {
							$(MathInput).val(cursortext.substring(Number("0"),p-"\\left".length)+cursortext.substring(cursorp,lastp));
							flag=true;
						}
					} else {
						//rightとdelimiterCommandを消去する
						cursortext=cursortext.substring(Number("0"),p)+cursortext.substring(cursorp,lastp);		//「\right」とdelimiterCommandを消去する
						//左側のleftに\right.を付ける
						passLRstructure(cursortext,p,"left");		//カーソルと同じ深さにある「\left」の「\」の位置がLorRpに入った
						p=LorRp+"\\left".length;					//「\left」の右隣の位置
						while (cursortext.substring(p,p+1)==" ") p++;		//「\left」とdelimiterCommandとの間の半角スペースを越える
						for (d=0;d<delimiterCommands.length;d++) {			//delimiterCommandを特定する
							var c=delimiterCommands[d];
							if (cursortext.substring(p,p+c.length)==c) {
								p+=c.length;								//「\left」の右隣のdelimiterCommandの右隣の位置
								$(MathInput).val(cursortext.substring(Number("0"),p)+"\\right."+cursortext.substring(p,cursortext.length));
								flag=true;
								break;
							}
						}
						if (!flag&&cursortext.substring(p,p+1)==".") {		//「\left.」のとき、
							$(MathInput).val(cursortext.substring(Number("0"),LorRp)+cursortext.substring(p+1,cursortext.length));
							flag=true;
						}
					}
				} else {
					var f=false;
					for (var dS in delimiterSizes) {
						for (i=0;i<4;i++) {
							var dSize=delimiterSizes[dS][i];
							if (cursortext.substring(p-dSize.length,p)==dSize) {
								$(MathInput).val(cursortext.substring(Number("0"),p-dSize.length)+cursortext.substring(cursorp,lastp));
								f=true;
								flag=true;
								break;
							}
						}
						if (f) break;
					}
				}
				break;
			} else if (cursortext.substring(cursorp-1,cursorp)==".") {
				var p=cursorp-1;
				while (cursortext.substring(p-1,p)==" ") p--;
				if (cursortext.substring(p-"\\right".length,p)=="\\right") {
					p-="\\right".length;
					while (cursortext.substring(p-1,p)==" ") p--;
				//	このあと、lCを探す
					for (dC=0;dC<delimiterCommand.length;dC++) {
						if (cursortext.substring(p-delimiterCommand[dC].length,p)==delimiterCommand[dC]) {
							p-=delimiterCommand[dC].length;
							while (cursortext.substring(p-1,p)==" ") p--;
							if (cursortext.substring(p-"\\left".length,p)=="\\left") {
								$(MathInput).val(cursortext.substring(Number("0"),p-"\\left".length)+cursortext.substring(cursorp,lastp));
								flag=true;
								break;
							}
						}
					}
				}
			}
			if (flag) break;
		}
	}

	if (cursortext.substring(cursorp-1,cursorp)=="}") {
		var a=cursortext.substring(0,cursorp-1),
			a1=a.lastIndexOf("\\"),
			a2=a.lastIndexOf("{");
		for (var s in spaceTypes)
			if (cursortext.substring(a1,a2)==spaceTypes[s]) {
				$(MathInput).val(cursortext.substring(Number("0"),a1)+cursortext.substring(cursorp,lastp));
				flag=true;break;
			}
	}

	if (cursortext.substring(cursorp-1,cursorp)=="{") {
		var a=cursortext.substring(cursorp+1,lastp),
			a1=a.indexOf("}"),
			a2=a.lastIndexOf("{"),
			a3=cursortext.substring(Number("0"),cursorp);
		for (var s in spaceTypes)
			if (cursortext.substring(a1,a2)==spaceTypes[s]) {
				$(MathInput).val(cursortext.substring(Number("0"),a1)+cursortext.substring(cursorp,lastp));
				flag=true;break;
			}
	}

	if (!flag&&cursortext.substring(cursorp-1,cursorp)=="}") {
		movelefts();
		for (i=0;i<10;i++) surveyspaceleft();
	}


	if (!flag)
		for (var i in TeXcommand3) {		//3つの部分で構成されるコマンド
			var Tl=TeXcommand3.length,Tc=TeXcommand3[i][1],Tc0=Tc[0],Tc1=Tc[1],Tc2=Tc[2];
			if (!flag&&cursortext.substring(cursorp-Tc1.length,cursorp)==Tc1) {		//2つ目の部分の右側にカーソルがあるとき
				var c=1;
				while (cursortext.substring(cursorp+c,cursorp+c+1)==" ") c++;
				if (!flag&&cursortext.substring(cursorp+c,cursorp+c+Tc2.length)==Tc2) {		//2つ目と3つ目の間が空のとき、
					var d=Tc1.length;
					while (cursortext.substring(cursorp-d-1,cursorp-d)==" ") d++;
					if (!flag&&cursortext.substring(cursorp-d-Tc0.length,cursorp-d)==Tc0) {		//1つ目と2つ目の部分の間も空のとき
						$(MathInput).val(cursortext.substring(Number("0"),cursorp-d-Tc0.length)+cursor+cursortext.substring(cursorp+c+Tc2.length,lastp));
						flag=true;break;
					} else if (!flag&&i=="rlap") {		//1つ目と2つ目の部分の間が空でないとき
						movelefts();
					}
				} else if (!flag&&i=="rlap") {
					moverights();
				}
			} else if (!flag&&cursortext.substring(cursorp-Tc0.length,cursorp)==Tc0) {		//1つ目の部分の右側にカーソルがあるとき
				var c=1;
				while (cursortext.substring(cursorp+c,cursorp+c+1)==" ") c++;
				if (!flag&&cursortext.substring(cursorp+c,cursorp+c+Tc1.length)==Tc1) {		//1つ目と2つ目の部分の間が空のとき、
					c+=Tc1.length;
					while (cursortext.substring(cursorp+c,cursorp+c+1)==" ") c++;
					if (cursortext.substring(cursorp+c,cursorp+c+Tc2.length)==Tc2) {		//2つ目と3つ目の部分の間が空のとき、
						$(MathInput).val(cursortext.substring(Number("0"),cursorp-Tc0.length)+cursor+cursortext.substring(cursorp+c+Tc2.length,lastp));
						flag=true;break;
					} else {		//2つ目と3つ目の部分の間が空でないとき、
						moverights();		//2つ目の部分を飛び越える
						moverights();		//2つ目と3つ目の部分の間の最初の文字を飛び越える
					}
				} else {		//1つ目と2つ目の部分の間が空でないとき、
					moverights();				//1つ目と2つ目の部分の間の最初の文字を飛び越える
				}
			} else if (!flag&&cursortext.substring(cursorp-Tc2.length,cursorp)==Tc2) {		//3つ目の部分の右側にカーソルがあるとき
				var c=Tc2.length;
				while (cursortext.substring(cursorp-c-1,cursorp-c)==" ") c++;
				if (!flag&&cursortext.substring(cursorp-c-Tc1.length,cursorp-c)==Tc1) {		//2つ目と3つ目の部分の間が空のとき、
					var d=c+Tc1.length;
					while (cursortext.substring(cursorp-d-1,cursorp-d)==" ") d++;
					if (cursortext.substring(cursorp-d-Tc0.length,cursorp-d)==Tc0) {		//1つ目と2つ目の部分の間が空のとき、
						$(MathInput).val(cursortext.substring(Number("0"),cursorp-d-Tc0.length)+cursor+cursortext.substring(cursorp,lastp));
				flag=true;break;
					} else if (!flag&&i=="rlap") {		//1つ目と2つ目の部分の間が空でないとき、
						movelefts();		//3つ目の部分を飛び越える
					}
				} else if (!flag&&i=="rlap") {		//2つ目と3つ目の部分の間が空でないとき、
					movelefts();			//3つ目の部分を飛び越える
				}
			}
		}

	for (i=0;i<10;i++) surveyspaceleft();
	if (!flag&&cursortext.substring(cursorp-1,cursorp)=="}") {
//		$(MathInput).val(cursortext.substring(Number("0"),cursorp-1)+cursor+cursortext.substring(cursorp-1,cursorp)+cursortext.substring(cursorp+1,lastp));
		movelefts();
		for (i=0;i<10;i++) surveyspaceleft();
	}

	if (!flag)
		for (var i in TeXcommand2) {		//2つの部分で出来ているコマンドの1つ目の部分の右隣りにカーソルがあるとき
			var Tc=TeXcommand2[i][1],Tc0=Tc[0],Tc1=Tc[1];
			if (!flag&&cursortext.substring(cursorp-Tc0.length,cursorp)==Tc0) {
				var c=1;
				while (cursortext.substring(cursorp+c,cursorp+c+1)==" ") c++;
				if (!flag&&cursortext.substring(cursorp+c,cursorp+c+Tc1.length)==Tc1) {
					$(MathInput).val(cursortext.substring(Number("0"),cursorp-Tc0.length)+cursor+cursortext.substring(cursorp+c+Tc1.length,lastp));
					flag=true;break;
				} else if (i=="subscript") {
					moverights();			//空でないとき、1文字飛び越える
				}
			} else if (!flag&&cursortext.substring(cursorp-Tc1.length,cursorp)==Tc1) {
				var c=Tc1.length;
				while (cursortext.substring(cursorp-c-1,cursorp-c)==" ") c++;
				if (!flag&&cursortext.substring(cursorp-c-Tc0.length,cursorp-c)==Tc0) {
					$(MathInput).val(cursortext.substring(Number("0"),cursorp-c-Tc0.length)+cursortext.substring(cursorp,lastp));
					flag=true;break;
				} else if (i=="subscript") {
					movelefts();			//空でないとき、1文字飛び越える
				}
			}
		}

/*	if (!flag&&cursortext.substring(cursorp-1,cursorp)=="}") {
//		$(MathInput).val(cursortext.substring(Number("0"),cursorp-1)+cursor+cursortext.substring(cursorp-1,cursorp)+cursortext.substring(cursorp+1,lastp));
		movelefts();
		flag=true;
	}*/
	for (i=0;i<10;i++) surveyspaceleft();

	if (!flag)
		for (var i in TeXcommand1) {		//1つの部分から構成される1文字分の文字を消去する（\alphaなど）
			var Tc=TeXcommand1[i][1][0];
			if (cursortext.substring(cursorp-Tc.length,cursorp)==Tc) {
				$(MathInput).val(cursortext.substring(Number("0"),cursorp-Tc.length)+cursortext.substring(cursorp,lastp));
				flag=true;break;
			}
		}

	var q21=cursortext.substring(cursorp-21,cursorp);
	var q20=cursortext.substring(cursorp-20,cursorp);
	var q19=cursortext.substring(cursorp-19,cursorp);
	var q18=cursortext.substring(cursorp-18,cursorp);
	var q17=cursortext.substring(cursorp-17,cursorp);
	var q16=cursortext.substring(cursorp-16,cursorp);
	var q15=cursortext.substring(cursorp-15,cursorp);
	var q14=cursortext.substring(cursorp-14,cursorp);
	var q13=cursortext.substring(cursorp-13,cursorp);
	var q12=cursortext.substring(cursorp-12,cursorp);
	var q11=cursortext.substring(cursorp-11,cursorp);
	var q10=cursortext.substring(cursorp-10,cursorp);
	var q09=cursortext.substring(cursorp-9,cursorp);
	var q08=cursortext.substring(cursorp-8,cursorp);
	var q07=cursortext.substring(cursorp-7,cursorp);
	var q06=cursortext.substring(cursorp-6,cursorp);
	var q05=cursortext.substring(cursorp-5,cursorp);
	var q04=cursortext.substring(cursorp-4,cursorp);
	var q03=cursortext.substring(cursorp-3,cursorp);
	var q02=cursortext.substring(cursorp-2,cursorp);
	var q01=cursortext.substring(cursorp-1,cursorp);
	if (!flag&&cursortext.substring(cursorp-"\\int_{}^{} \\mathrm{d}x".length,cursorp)=="\\int_{}^{} \\mathrm{d}x") {
		flag=true;
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-"\\int_{}^{} \\mathrm{d}x".length)+cursor+cursortext.substring(cursorp+1,lastp);
	}
	if (!flag&&cursortext.substring(cursorp-25,cursorp)=="\\lim_{n\\rightarrow\\infty}") {
		flag=true;
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-25)+cursor+cursortext.substring(cursorp+1,lastp);
	}
	if (!flag&&cursortext.substring(cursorp-24,cursorp)=="\\frac{\\mathrm{d}}{\\mathrm{d}x}") {
		flag=true;
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-24)+cursor+cursortext.substring(cursorp+1,lastp);
	}
/*	if (!flag&&cursortext.substring(cursorp-6,cursorp)=="\\sqrt{") {
		flag=true;
		for (i=0;i<10;i++) deletespaceright();
		cursorText();
		if (cursortext.substring(cursorp+1,cursorp+2)=="}")
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursor+cursortext.substring(cursorp+2,lastp);
		else moveright();
	}*/
	if (!flag&&cursortext.substring(cursorp-16,cursorp+2)=="\\overrightarrow{"+cursor+"}") {
		flag=true;
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-16)+cursor+cursortext.substring(cursorp+3,lastp);
	}
	if (!flag&&cursortext.substring(cursorp-6,cursorp+4)=="\\frac{"+cursor+"}{}") {
		flag=true;
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursor+cursortext.substring(cursorp+5,lastp);
	}
	if (!flag&&cursortext.substring(cursorp-8,cursorp+2)=="\\frac{}{"+cursor+"}") {
		flag=true;
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-8)+cursor+cursortext.substring(cursorp+3,lastp);
	}
	if (!flag&&cursortext.substring(cursorp-2,cursorp)=="^{") {
		flag=true;
		for (i=0;i<10;i++) deletespaceright();
		cursorText();
		if (cursortext.substring(cursorp-9,cursorp+11)=="\\int_{}^{"+cursor+"} \\mathrm{d}x")
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-9)+cursor+cursortext.substring(cursorp+13,lastp);
		else if (cursortext.substring(cursorp+1,cursorp+2)=="}")
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-2)+cursor+cursortext.substring(cursorp+2,lastp);
		else moveright();
	}
	if (!flag&&cursortext.substring(cursorp-2,cursorp)=="_{") {
		for (i=0;i<10;i++) deletespaceright();
		cursorText();
		if (cursortext.substring(cursorp+1,cursorp+2)=="}") {	//カーソルがある箇所が空欄の場合、
			if (cursortext.substring(cursorp-4,cursorp)=="}C_{") {	//二項係数の2つ目の引数の箇所にカーソルがある場合
				document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-2)+cursor+cursortext.substring(cursorp-4,cursorp)+cursortext.substring(cursorp+1,lastp);
				cursorText();for (i=0;i<10;i++) {deletespaceleft();deletespaceright();}cursorText();
				if (cursortext.substring(cursorp-6,cursorp-2)=="\\ _{") {
					document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursor+cursortext.substring(cursorp+6,lastp);
					flag=true;
				}
			} else if (cursortext.substring(cursorp+1,cursorp+5)=="}C_{") {	//二項係数の1つ目の引数の箇所にカーソルがある場合
				document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+8)+cursor+cursortext.substring(cursorp+7,lastp);
				cursorText();for (i=0;i<10;i++) {deletespaceleft();deletespaceright();}cursorText();
				if (cursortext.substring(cursorp-3,cursorp-2)=="}") {		//二項係数の2つ目の引数も空欄の場合
					document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-11)+cursor+cursortext.substring(cursorp+1,lastp);
					flag=true;
				}
			} else if (cursortext.substring(cursorp-6,cursorp)=="\\log_{")
				document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-4)+cursor+cursortext.substring(cursorp+3,lastp);
			else if (cursortext.substring(cursorp-6,cursorp+14)=="\\int_{"+cursor+"}^{} \\mathrm{d}x")
				document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-4)+cursor+cursortext.substring(cursorp+15,lastp);
		} else moveright();
	}
	if (!flag) {
	if (cursortext.substring(cursorp-1,cursorp+2)=="{"+cursor+"}") {	//「\sqrt{｜}」や「\mathcal{｜}」などを一気に消して、「｜」にする。
		shiftforBackslashLeft=-1;
		countofBackslashLeft();
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp+countofBackslashLeftvar)+cursor+cursortext.substring(cursorp+2,lastp);
	} else if (cursortext.substring(cursorp-1,cursorp)=="{"&&cursortext.substring(cursorp+1,cursorp+2)!="}") {	//「\sqrt{｜abc}」など、引数がある場合、引数の最後尾に移動して、「\sqrt{abc｜}」にする。
		shiftforbraceRight=1;	//一連の流れ[00]
		countofbraceRight();
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+countofbraceRightvar)+cursor+cursortext.substring(cursorp+countofbraceRightvar,lastp);
	} else if (q14=="\\boldsymbol{E}"||q14=="\\boldsymbol{B}"||q14=="\\boldsymbol{D}"||q14=="\\boldsymbol{H}"||q14=="\\boldsymbol{j}"||q14=="\\") 	//「\」と先13文字
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-14)+cursor+cursortext.substring(cursorp+1,lastp);
	else if (cursortext.substring(cursorp-6,cursorp)=="\\sqrt{") {
		flag=true;
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursor+cursortext.substring(cursorp+2,lastp);
	} else if (q09=="\\sum_{}^{")
		if (cursortext.substring(cursorp+1,cursorp+2)=="}")	//上端も空であれば、「\sum_{}^{}」を全部消す
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-9)+cursor+cursortext.substring(cursorp+2,lastp);
		else {	//上端が空でない場合、「\sum_{}^{｜abc}」→「\sum_{}^{abc｜}」とする（上端の最後尾に移す）
			shiftforbraceRight=1;	//一連の流れ[00]
			countofbraceRight();
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+countofbraceRightvar)+cursor+cursortext.substring(cursorp+countofbraceRightvar,lastp);
		}
	else if (cursortext.substring(cursorp-3,cursorp)=="}^{")
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-3)+cursor+cursortext.substring(cursorp-3,cursorp)+cursortext.substring(cursorp+1,lastp);
	else if (cursortext.substring(cursorp-6,cursorp+4)=="\\sum_{"+cursor+"}^{")		//下端が空のとき、
		if (cursortext.substring(cursorp+4,cursorp+5)=="}") 	//上端も空であれば、「\sum_{}^{}」を全部消す
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursor+cursortext.substring(cursorp+5,lastp);
		else {	//上端が空でない場合、「\sum_{｜}^{abc}」→「\sum_{}^{abc｜}」にする（上端の最後尾に移す）
			shiftforbraceRight=4;	//一連の流れ[00]
			countofbraceRight();
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp)+cursortext.substring(cursorp+1,cursorp+countofbraceRightvar+3)+cursor+cursortext.substring(cursorp+countofbraceRightvar+3,lastp);
		}
	else if (q07=="\\right)") {	//「)」を消す
		cursorText();
		var leftcandidate=cursortext.substring(cursorp-13,cursorp);
		if (leftcandidate=="\\left.\\right)") 	//カーソルの左隣にある「)」が「\left.\right)」の場合、これらを消す
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-13)+cursortext.substring(cursorp,lastp);
		else	//カーソルの左隣にある「)」が「\left(\right)」の場合、「\left(\right.」にする
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-1)+"."+cursortext.substring(cursorp,lastp);
	} else if (q07=="\\right.")	//「)」を消す
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-13)+cursortext.substring(cursorp,lastp);
	else if (q06=="\\left(") {	//「)」を消す
		cursorText();
		var leftcandidate=cursortext.substring(cursorp-6,cursorp+8);
		if (leftcandidate=="\\left("+cursor+"\\right.") 	//カーソルの左隣にある「(」が「\left(\right.」の場合、これらを消す
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursor+cursortext.substring(cursorp+8,lastp);
		else	//カーソルの左隣にある「( 」が「\left(\right)」の場合、「\left.\right)」にする
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursor+cursortext.substring(cursorp-6,cursorp-1)+"."+cursortext.substring(cursorp+1,lastp);
	}
	}
	if (!flag) {
/*「\」と先1文字*/	 if (q02=="\\|"||q02=="\\{"||q02=="\\}"||q02=="\\\\")
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-2)+cursor+cursortext.substring(cursorp+1,lastp);
/*「 」と先1文字*/		else if (cursortext.substring(cursorp-2,cursorp-1)==" ")
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-2)+cursor+cursortext.substring(cursorp+1,lastp);
		else if (q01=="}"&&q02!="\\}") 	//「\sqrt{}」や「^{}」の中に入る
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-1)+cursor+"}"+cursortext.substring(cursorp+1,lastp);
/*その他は1文字ずつ*/	else {
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-1)+cursor+cursortext.substring(cursorp,cursorp)+cursortext.substring(cursorp+1,lastp);		
			deletespaceright();
		}
	}/*}*/

	for (i=0;i<10;i++) surveyspaceleft();
	
/*	//　　　\rightも消去する
	if (cursortext.substring(cursorp-6,cursorp)=="\\right")
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursortext.substring(cursorp,lastp);
	cursorText();
	//　　　\left.も消去する
	if (cursortext.substring(cursorp-6,cursorp)=="\\left.")
		document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-6)+cursortext.substring(cursorp,lastp);

	//delimiterのコマンドも消去する
	for (var d in delimiterSizes) for (i=5;i>1;i--)
		if (cursortext.substring(cursorp-delimiterSizes[d][i].length,cursorp)==delimiterSizes[d][i]) {
			document.getElementById(eqg).value=cursortext.substring(Number("0"),cursorp-delimiterSizes[d][i].length)+cursortext.substring(cursorp,lastp);
			break;
		}*/

	}
	hiddene();
}

var LorRp;
function passLRstructure(t,p,LorR) {		//文字列tのp文字目からLorR（leftかright）側の「\left」（か「\right」）を見つける
	var LRdepth=1;		//\leftと\rightのペアの深さが0になるまで左（か右）に進む
	if (LorR=="left") {			//左側の「\left」を探す
		while (LRdepth!=0) {
			searchLeftsideEquation(t,p);
			var c=t.substring(Number("0"),p),
				l=c.lastIndexOf("\\left"),
				r=c.lastIndexOf("\\right"),
				e=beginEquationp;
			if (e<l) {
				if (l<r) {
					LRdepth++;
					p=r;
				} else {
					LRdepth--;
					p=l;
				}
			}
		}
		LorRp=p;
	} else if (LorR=="right") {
		while (LRdepth!=0) {
			searchRightsideEquation(t,p+1);
			var c=t.substring(p+1,t.length),
				l=c.indexOf("\\left"),
				r=c.indexOf("\\right"),
				e=endEquationp;
			if (r<e) {
				if (l!=-1&&l<r) {
					LRdepth++;
					p+=l+1;
				} else {
					LRdepth--;
					p+=r+1;
				}
			}
		}
		LorRp=p;
	}
}

function clearg() {
	$(MathInput).val("");
	hiddene();
}

function freeInput() {
	cursorText();
	var operator=$("#freeInput").val();
		operator=deleteEquationEnvironment(operator);
		operator=operator.replace(/｜/g,"");
	insertoperator([operator]);
	$("#freeInput").val("");
}
function EnterSpace(event) {
	var k=event.keyCode,c=event.charCode;		//cはFireFox用
	if (k!="") {
		if (k==13||c==13)			//Enterキー
			freeInput();
		else if (k==32||c==32) {	//Spaceキー
			freeInput();
			moverights();
		}
	}
}
function deleteSpace(k) {
	if (k!=""&&k==32) {		//Spaceキー
		var f=$("#freeInput").val();
		f=f.substring(Number("0"),f.length-1);
		$("#freeInput").val(f);
	}
}
//「キーボードから入力」する入力フォームに表示する吹き出し
var uniTipTag = "a,img";// - Defines the tags that the tooltip will be applied to. Separate with a comma and no spaces.
//var uniTipClass = "TipEx"; - Defines the classes that the tooltip will be applied to. If left blank, the tooltip will apply to all instances of the tags from above.
var uniTipX = 0;// - Horizontal offset from the cursor.
var uniTipY = 15;// - Vertical offset from the cursor.

function scrollBottom() {
	MathJax.Hub.Queue(function () {
		window.scroll(0,100000);
	});
}
